/**
    WYMeditor
    =========

    version 1.0.0a3

    WYMeditor : what you see is What You Mean web-based editor

    Main JS file with core classes and functions.

    Copyright
    ---------

    Copyright (c) 2005 - 2010 Jean-Francois Hovinne, http://www.wymeditor.org/
    Dual licensed under the MIT (MIT-license.txt)
    and GPL (GPL-license.txt) licenses.

    Website
    -------

    For further information visit:
    http://www.wymeditor.org/


    Authors
    -------

    See AUTHORS file
*/

typeof WYMeditor=="undefined"&&(WYMeditor={}),function(){if(!window.console||!window.console.firebug){var e=["log","debug","info","warn","error","assert","dir","dirxml","group","groupEnd","time","timeEnd","count","trace","profile","profileEnd"],t=function(){},n;WYMeditor.console={};for(n=0;n<e.length;n+=1)WYMeditor.console[e[n]]=t}else WYMeditor.console=window.console}(),jQuery.extend(WYMeditor,{VERSION:"1.0.0a3",INSTANCES:[],STRINGS:[],SKINS:[],NAME:"name",INDEX:"{Wym_Index}",WYM_INDEX:"wym_index",BASE_PATH:"{Wym_Base_Path}",CSS_PATH:"{Wym_Css_Path}",WYM_PATH:"{Wym_Wym_Path}",SKINS_DEFAULT_PATH:"skins/",SKINS_DEFAULT_CSS:"skin.css",SKINS_DEFAULT_JS:"skin.js",LANG_DEFAULT_PATH:"lang/",IFRAME_BASE_PATH:"{Wym_Iframe_Base_Path}",IFRAME_DEFAULT:"iframe/default/",JQUERY_PATH:"{Wym_Jquery_Path}",DIRECTION:"{Wym_Direction}",LOGO:"{Wym_Logo}",TOOLS:"{Wym_Tools}",TOOLS_ITEMS:"{Wym_Tools_Items}",TOOL_NAME:"{Wym_Tool_Name}",TOOL_TITLE:"{Wym_Tool_Title}",TOOL_CLASS:"{Wym_Tool_Class}",CLASSES:"{Wym_Classes}",CLASSES_ITEMS:"{Wym_Classes_Items}",CLASS_NAME:"{Wym_Class_Name}",CLASS_TITLE:"{Wym_Class_Title}",CONTAINERS:"{Wym_Containers}",CONTAINERS_ITEMS:"{Wym_Containers_Items}",CONTAINER_NAME:"{Wym_Container_Name}",CONTAINER_TITLE:"{Wym_Containers_Title}",CONTAINER_CLASS:"{Wym_Container_Class}",HTML:"{Wym_Html}",IFRAME:"{Wym_Iframe}",STATUS:"{Wym_Status}",DIALOG_TITLE:"{Wym_Dialog_Title}",DIALOG_BODY:"{Wym_Dialog_Body}",NEWLINE:"\n",STRING:"string",BODY:"body",DIV:"div",P:"p",H1:"h1",H2:"h2",H3:"h3",H4:"h4",H5:"h5",H6:"h6",PRE:"pre",BLOCKQUOTE:"blockquote",A:"a",BR:"br",IMG:"img",TABLE:"table",TR:"tr",TD:"td",TH:"th",UL:"ul",OL:"ol",LI:"li",CLASS:"class",HREF:"href",SRC:"src",TITLE:"title",REL:"rel",ALT:"alt",DIALOG_LINK:"Link",DIALOG_IMAGE:"Image",DIALOG_TABLE:"Table",DIALOG_PASTE:"Paste_From_Word",BOLD:"Bold",ITALIC:"Italic",CREATE_LINK:"CreateLink",INSERT_IMAGE:"InsertImage",INSERT_TABLE:"InsertTable",INSERT_HTML:"InsertHTML",PASTE:"Paste",INDENT:"Indent",OUTDENT:"Outdent",TOGGLE_HTML:"ToggleHtml",FORMAT_BLOCK:"FormatBlock",PREVIEW:"Preview",UNLINK:"Unlink",INSERT_UNORDEREDLIST:"InsertUnorderedList",INSERT_ORDEREDLIST:"InsertOrderedList",MAIN_CONTAINERS:["p","h1","h2","h3","h4","h5","h6","pre","blockquote"],BLOCKS:["address","blockquote","div","dl","fieldset","form","h1","h2","h3","h4","h5","h6","hr","noscript","ol","p","pre","table","ul","dd","dt","li","tbody","td","tfoot","th","thead","tr"],BLOCKING_ELEMENTS:["table","blockquote","pre"],NON_BLOCKING_ELEMENTS:["p","h1","h2","h3","h4","h5","h6"],KEY:{BACKSPACE:8,TAB:9,ENTER:13,CTRL:17,END:35,HOME:36,CURSOR:[37,38,39,40],LEFT:37,UP:38,RIGHT:39,DOWN:40,DELETE:46,B:66,I:73,R:82,COMMAND:224},NODE:{ELEMENT:1,ATTRIBUTE:2,TEXT:3},editor:function(e,t){this._index=WYMeditor.INSTANCES.push(this)-1,this._element=e,this._options=t,this._html=jQuery(e).val(),this._options.html&&(this._html=this._options.html),this._options.wymPath=this._options.wymPath||WYMeditor.computeWymPath(),this._options.basePath=this._options.basePath||WYMeditor.computeBasePath(this._options.wymPath),this._options.jQueryPath=this._options.jQueryPath||WYMeditor.computeJqueryPath(),this._options.skinPath=this._options.skinPath||this._options.basePath+WYMeditor.SKINS_DEFAULT_PATH+this._options.skin+"/",this._options.langPath=this._options.langPath||this._options.basePath+WYMeditor.LANG_DEFAULT_PATH,this._options.iframeBasePath=this._options.iframeBasePath||this._options.basePath+WYMeditor.IFRAME_DEFAULT,this.init()}}),jQuery.fn.wymeditor=function(e){return e=jQuery.extend({html:"",basePath:!1,skinPath:!1,wymPath:!1,iframeBasePath:!1,jQueryPath:!1,styles:!1,stylesheet:!1,skin:"default",initSkin:!0,loadSkin:!0,lang:"en",direction:"ltr",customCommands:[],boxHtml:String()+"<div class='wym_box'>"+"<div class='wym_area_top'>"+WYMeditor.TOOLS+"</div>"+"<div class='wym_area_left'></div>"+"<div class='wym_area_right'>"+WYMeditor.CONTAINERS+WYMeditor.CLASSES+"</div>"+"<div class='wym_area_main'>"+WYMeditor.HTML+WYMeditor.IFRAME+WYMeditor.STATUS+"</div>"+"<div class='wym_area_bottom'>"+WYMeditor.LOGO+"</div>"+"</div>",logoHtml:String()+'<a class="wym_wymeditor_link" '+'href="http://www.wymeditor.org/">WYMeditor</a>',iframeHtml:String()+'<div class="wym_iframe wym_section">'+'<iframe src="'+WYMeditor.IFRAME_BASE_PATH+'wymiframe.html" '+'onload="this.contentWindow.parent.WYMeditor.INSTANCES['+WYMeditor.INDEX+'].initIframe(this)">'+"</iframe>"+"</div>",editorStyles:[],toolsHtml:String()+'<div class="wym_tools wym_section">'+"<h2>{Tools}</h2>"+"<ul>"+WYMeditor.TOOLS_ITEMS+"</ul>"+"</div>",toolsItemHtml:String()+'<li class="'+WYMeditor.TOOL_CLASS+'">'+'<a href="#" name="'+WYMeditor.TOOL_NAME+'"'+'title="'+WYMeditor.TOOL_TITLE+'">'+WYMeditor.TOOL_TITLE+"</a>"+"</li>",toolsItems:[{name:"Bold",title:"Strong",css:"wym_tools_strong"},{name:"Italic",title:"Emphasis",css:"wym_tools_emphasis"},{name:"Superscript",title:"Superscript",css:"wym_tools_superscript"},{name:"Subscript",title:"Subscript",css:"wym_tools_subscript"},{name:"InsertOrderedList",title:"Ordered_List",css:"wym_tools_ordered_list"},{name:"InsertUnorderedList",title:"Unordered_List",css:"wym_tools_unordered_list"},{name:"Indent",title:"Indent",css:"wym_tools_indent"},{name:"Outdent",title:"Outdent",css:"wym_tools_outdent"},{name:"Undo",title:"Undo",css:"wym_tools_undo"},{name:"Redo",title:"Redo",css:"wym_tools_redo"},{name:"CreateLink",title:"Link",css:"wym_tools_link"},{name:"Unlink",title:"Unlink",css:"wym_tools_unlink"},{name:"InsertImage",title:"Image",css:"wym_tools_image"},{name:"InsertTable",title:"Table",css:"wym_tools_table"},{name:"Paste",title:"Paste_From_Word",css:"wym_tools_paste"},{name:"ToggleHtml",title:"HTML",css:"wym_tools_html"},{name:"Preview",title:"Preview",css:"wym_tools_preview"}],containersHtml:String()+'<div class="wym_containers wym_section">'+"<h2>{Containers}</h2>"+"<ul>"+WYMeditor.CONTAINERS_ITEMS+"</ul>"+"</div>",containersItemHtml:String()+'<li class="'+WYMeditor.CONTAINER_CLASS+'">'+'<a href="#" name="'+WYMeditor.CONTAINER_NAME+'">'+WYMeditor.CONTAINER_TITLE+"</a>"+"</li>",containersItems:[{name:"P",title:"Paragraph",css:"wym_containers_p"},{name:"H1",title:"Heading_1",css:"wym_containers_h1"},{name:"H2",title:"Heading_2",css:"wym_containers_h2"},{name:"H3",title:"Heading_3",css:"wym_containers_h3"},{name:"H4",title:"Heading_4",css:"wym_containers_h4"},{name:"H5",title:"Heading_5",css:"wym_containers_h5"},{name:"H6",title:"Heading_6",css:"wym_containers_h6"},{name:"PRE",title:"Preformatted",css:"wym_containers_pre"},{name:"BLOCKQUOTE",title:"Blockquote",css:"wym_containers_blockquote"},{name:"TH",title:"Table_Header",css:"wym_containers_th"}],classesHtml:String()+'<div class="wym_classes wym_section">'+"<h2>{Classes}</h2>"+"<ul>"+WYMeditor.CLASSES_ITEMS+"</ul>"+"</div>",classesItemHtml:String()+'<li class="wym_classes_'+WYMeditor.CLASS_NAME+'">'+'<a href="#" name="'+WYMeditor.CLASS_NAME+'">'+WYMeditor.CLASS_TITLE+"</a>"+"</li>",classesItems:[],statusHtml:String()+'<div class="wym_status wym_section">'+"<h2>{Status}</h2>"+"</div>",htmlHtml:String()+'<div class="wym_html wym_section">'+"<h2>{Source_Code}</h2>"+'<textarea class="wym_html_val"></textarea>'+"</div>",boxSelector:".wym_box",toolsSelector:".wym_tools",toolsListSelector:" ul",containersSelector:".wym_containers",classesSelector:".wym_classes",htmlSelector:".wym_html",iframeSelector:".wym_iframe iframe",iframeBodySelector:".wym_iframe",statusSelector:".wym_status",toolSelector:".wym_tools a",containerSelector:".wym_containers a",classSelector:".wym_classes a",htmlValSelector:".wym_html_val",hrefSelector:".wym_href",srcSelector:".wym_src",titleSelector:".wym_title",relSelector:".wym_rel",altSelector:".wym_alt",textSelector:".wym_text",rowsSelector:".wym_rows",colsSelector:".wym_cols",captionSelector:".wym_caption",summarySelector:".wym_summary",submitSelector:"form",cancelSelector:".wym_cancel",previewSelector:"",dialogTypeSelector:".wym_dialog_type",dialogLinkSelector:".wym_dialog_link",dialogImageSelector:".wym_dialog_image",dialogTableSelector:".wym_dialog_table",dialogPasteSelector:".wym_dialog_paste",dialogPreviewSelector:".wym_dialog_preview",updateSelector:".wymupdate",updateEvent:"click",dialogFeatures:"menubar=no,titlebar=no,toolbar=no,resizable=no,width=560,height=300,top=0,left=0",dialogFeaturesPreview:"menubar=no,titlebar=no,toolbar=no,resizable=no,scrollbars=yes,width=560,height=300,top=0,left=0",dialogHtml:String()+'<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" '+'"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">'+'<html dir="'+WYMeditor.DIRECTION+'">'+"<head>"+'<link rel="stylesheet" type="text/css" media="screen" '+'href="'+WYMeditor.CSS_PATH+'" />'+"<title>"+WYMeditor.DIALOG_TITLE+"</title>"+'<script type="text/javascript" '+'src="'+WYMeditor.JQUERY_PATH+'"></script>'+'<script type="text/javascript" '+'src="'+WYMeditor.WYM_PATH+'"></script>'+"</head>"+WYMeditor.DIALOG_BODY+"</html>",dialogLinkHtml:String()+'<body class="wym_dialog wym_dialog_link" '+' onload="WYMeditor.INIT_DIALOG('+WYMeditor.INDEX+')">'+"<form>"+"<fieldset>"+'<input type="hidden" class="wym_dialog_type" '+'value="'+WYMeditor.DIALOG_LINK+'" />'+"<legend>{Link}</legend>"+'<div class="row">'+"<label>{URL}</label>"+'<input type="text" class="wym_href" value="" '+'size="40" autofocus="autofocus" />'+"</div>"+'<div class="row">'+"<label>{Title}</label>"+'<input type="text" class="wym_title" value="" '+'size="40" />'+"</div>"+'<div class="row">'+"<label>{Relationship}</label>"+'<input type="text" class="wym_rel" value="" '+'size="40" />'+"</div>"+'<div class="row row-indent">'+'<input class="wym_submit" type="submit" '+'value="{Submit}" />'+'<input class="wym_cancel" type="button" '+'value="{Cancel}" />'+"</div>"+"</fieldset>"+"</form>"+"</body>",dialogImageHtml:String()+'<body class="wym_dialog wym_dialog_image" '+'onload="WYMeditor.INIT_DIALOG('+WYMeditor.INDEX+')">'+"<form>"+"<fieldset>"+'<input type="hidden" class="wym_dialog_type" '+'value="'+WYMeditor.DIALOG_IMAGE+'" />'+"<legend>{Image}</legend>"+'<div class="row">'+"<label>{URL}</label>"+'<input type="text" class="wym_src" value="" '+'size="40" autofocus="autofocus" />'+"</div>"+'<div class="row">'+"<label>{Alternative_Text}</label>"+'<input type="text" class="wym_alt" value="" size="40" />'+"</div>"+'<div class="row">'+"<label>{Title}</label>"+'<input type="text" class="wym_title" value="" size="40" />'+"</div>"+'<div class="row row-indent">'+'<input class="wym_submit" type="submit" '+'value="{Submit}" />'+'<input class="wym_cancel" type="button" '+'value="{Cancel}" />'+"</div>"+"</fieldset>"+"</form>"+"</body>",dialogTableHtml:String()+'<body class="wym_dialog wym_dialog_table" '+'onload="WYMeditor.INIT_DIALOG('+WYMeditor.INDEX+')">'+"<form>"+"<fieldset>"+'<input type="hidden" class="wym_dialog_type" '+'value="'+WYMeditor.DIALOG_TABLE+'" />'+"<legend>{Table}</legend>"+'<div class="row">'+"<label>{Caption}</label>"+'<input type="text" class="wym_caption" value="" '+'size="40" />'+"</div>"+'<div class="row">'+"<label>{Summary}</label>"+'<input type="text" class="wym_summary" value="" '+'size="40" />'+"</div>"+'<div class="row">'+"<label>{Number_Of_Rows}</label>"+'<input type="text" class="wym_rows" value="3" size="3" />'+"</div>"+'<div class="row">'+"<label>{Number_Of_Cols}</label>"+'<input type="text" class="wym_cols" value="2" size="3" />'+"</div>"+'<div class="row row-indent">'+'<input class="wym_submit" type="submit" '+'value="{Submit}" />'+'<input class="wym_cancel" type="button" '+'value="{Cancel}" />'+"</div>"+"</fieldset>"+"</form>"+"</body>",dialogPasteHtml:String()+'<body class="wym_dialog wym_dialog_paste" '+'onload="WYMeditor.INIT_DIALOG('+WYMeditor.INDEX+')">'+"<form>"+'<input type="hidden" class="wym_dialog_type" '+'value="'+WYMeditor.DIALOG_PASTE+'" />'+"<fieldset>"+"<legend>{Paste_From_Word}</legend>"+'<div class="row">'+'<textarea class="wym_text" rows="10" cols="50" '+'autofocus="autofocus"></textarea>'+"</div>"+'<div class="row">'+'<input class="wym_submit" type="submit" '+'value="{Submit}" />'+'<input class="wym_cancel" type="button" '+'value="{Cancel}" />'+"</div>"+"</fieldset>"+"</form>"+"</body>",dialogPreviewHtml:String()+'<body class="wym_dialog wym_dialog_preview" '+'onload="WYMeditor.INIT_DIALOG('+WYMeditor.INDEX+')"></body>',dialogStyles:[],stringDelimiterLeft:"{",stringDelimiterRight:"}",preInit:null,preBind:null,postInit:null,preInitDialog:null,postInitDialog:null},e),this.each(function(){var t=new WYMeditor.editor(jQuery(this),e)})},jQuery.extend({wymeditors:function(e){return WYMeditor.INSTANCES[e]}}),WYMeditor.computeWymPath=function(){var e=jQuery(jQuery.grep(jQuery("script"),function(e){return e.src?e.src.match(/jquery\.wymeditor(\.pack|\.min|\.packed)?\.js(\?.*)?$/)||e.src.match(/\/core\.js(\?.*)?$/):null}));return e.length>0?e.attr("src"):(WYMeditor.console.warn("Error determining wymPath. No base WYMeditor file located."),WYMeditor.console.warn("Assuming wymPath to be the current URL"),WYMeditor.console.warn("Please pass a correct wymPath option"),"")},WYMeditor.computeBasePath=function(e){var t=e.lastIndexOf("/");return e.substr(0,t+1)},WYMeditor.computeJqueryPath=function(){return jQuery(jQuery.grep(jQuery("script"),function(e){return e.src&&e.src.match(/jquery(-(.*)){0,1}(\.pack|\.min|\.packed)?\.js(\?.*)?$/)})).attr("src")},WYMeditor.INIT_DIALOG=function(index){var wym=window.opener.WYMeditor.INSTANCES[index],doc=window.document,selected=wym.selected(),dialogType=jQuery(wym._options.dialogTypeSelector).val(),sStamp=wym.uniqueStamp(),styles,aCss,tableOnClick;dialogType===WYMeditor.DIALOG_LINK&&(selected&&selected.tagName&&selected.tagName.toLowerCase!==WYMeditor.A&&(selected=jQuery(selected).parentsOrSelf(WYMeditor.A)),!selected&&wym._selected_image&&(selected=jQuery(wym._selected_image).parentsOrSelf(WYMeditor.A))),jQuery.isFunction(wym._options.preInitDialog)&&wym._options.preInitDialog(wym,window),styles=doc.styleSheets[0],aCss=eval(wym._options.dialogStyles),wym.addCssRules(doc,aCss),selected&&(jQuery(wym._options.hrefSelector).val(jQuery(selected).attr(WYMeditor.HREF)),jQuery(wym._options.srcSelector).val(jQuery(selected).attr(WYMeditor.SRC)),jQuery(wym._options.titleSelector).val(jQuery(selected).attr(WYMeditor.TITLE)),jQuery(wym._options.relSelector).val(jQuery(selected).attr(WYMeditor.REL)),jQuery(wym._options.altSelector).val(jQuery(selected).attr(WYMeditor.ALT))),wym._selected_image&&(jQuery(wym._options.dialogImageSelector+" "+wym._options.srcSelector).val(jQuery(wym._selected_image).attr(WYMeditor.SRC)),jQuery(wym._options.dialogImageSelector+" "+wym._options.titleSelector).val(jQuery(wym._selected_image).attr(WYMeditor.TITLE)),jQuery(wym._options.dialogImageSelector+" "+wym._options.altSelector).val(jQuery(wym._selected_image).attr(WYMeditor.ALT))),jQuery(wym._options.dialogLinkSelector+" "+wym._options.submitSelector).submit(function(){var e=jQuery(wym._options.hrefSelector).val(),t;e.length>0&&(selected[0]&&selected[0].tagName.toLowerCase()===WYMeditor.A?t=selected:(wym._exec(WYMeditor.CREATE_LINK,sStamp),t=jQuery("a[href="+sStamp+"]",wym._doc.body)),t.attr(WYMeditor.HREF,e),t.attr(WYMeditor.TITLE,jQuery(wym._options.titleSelector).val()),t.attr(WYMeditor.REL,jQuery(wym._options.relSelector).val())),window.close()}),jQuery(wym._options.dialogImageSelector+" "+wym._options.submitSelector).submit(function(){var e=jQuery(wym._options.srcSelector).val(),t;e.length>0&&(wym._exec(WYMeditor.INSERT_IMAGE,sStamp),t=jQuery("img[src$="+sStamp+"]",wym._doc.body),t.attr(WYMeditor.SRC,e),t.attr(WYMeditor.TITLE,jQuery(wym._options.titleSelector).val()),t.attr(WYMeditor.ALT,jQuery(wym._options.altSelector).val())),window.close()}),tableOnClick=WYMeditor.MAKE_TABLE_ONCLICK(wym),jQuery(wym._options.dialogTableSelector+" "+wym._options.submitSelector).submit(tableOnClick),jQuery(wym._options.dialogPasteSelector+" "+wym._options.submitSelector).submit(function(){var e=jQuery(wym._options.textSelector).val();wym.paste(e),window.close()}),jQuery(wym._options.dialogPreviewSelector+" "+wym._options.previewSelector).html(wym.xhtml()),jQuery(wym._options.cancelSelector).mousedown(function(){window.close()}),jQuery.isFunction(wym._options.postInitDialog)&&wym._options.postInitDialog(wym,window)},WYMeditor.MAKE_TABLE_ONCLICK=function(e){var t=function(){var t=jQuery(e._options.rowsSelector).val(),n=jQuery(e._options.colsSelector).val(),r=jQuery(e._options.captionSelector).val(),i=jQuery(e._options.summarySelector).val(),s=e.insertTable(t,n,r,i);window.close()};return t},jQuery.fn.isPhantomNode=function(){return this[0].nodeType===3?!/[^\t\n\r ]/.test(this[0].data):!1},WYMeditor.isPhantomNode=function(e){return e.nodeType===3?!/[^\t\n\r ]/.test(e.data):!1},WYMeditor.isPhantomString=function(e){return!/[^\t\n\r ]/.test(e)},jQuery.fn.parentsOrSelf=function(e){var t=this;return t[0].nodeType===3&&(t=t.parents().slice(0,1)),t.filter(e).size()===1?t:t.parents(e).slice(0,1)},WYMeditor.Helper={replaceAll:function(e,t,n){var r=new RegExp(t,"g");return e.replace(r,n)},insertAt:function(e,t,n){return e.substr(0,n)+t+e.substring(n)},trim:function(e){return e.replace(/^(\s*)|(\s*)$/gm,"")},contains:function(e,t){var n;for(n=0;n<e.length;n+=1)if(e[n]===t)return!0;return!1},indexOf:function(e,t){var n=-1,r;for(r=0;r<e.length;r+=1)if(e[r]===t){n=r;break}return n},findByName:function(e,t){var n,r;for(n=0;n<e.length;n+=1){r=e[n];if(r.name===t)return r}return null}};var rangy=function(){function e(e,t){var n=typeof e[t];return n=="function"||n=="object"&&!!e[t]||n=="unknown"}function t(e,t){return typeof e[t]=="object"&&!!e[t]}function n(e,t){return typeof e[t]!="undefined"}function r(e){return function(t,n){for(var r=n.length;r--;)if(!e(t,n[r]))return!1;return!0}}function i(e){window.alert("Rangy not supported in your browser. Reason: "+e),d.initialized=!0,d.supported=!1}function s(){if(!d.initialized){var n,r=!1,s=!1;e(document,"createRange")&&(n=document.createRange(),c(n,a)&&p(n,u)&&(r=!0),n.detach()),(n=t(document,"body")?document.body:document.getElementsByTagName("body")[0])&&e(n,"createTextRange")&&(n=n.createTextRange(),c(n,l)&&p(n,f)&&(s=!0)),!r&&!s&&i("Neither Range nor TextRange are implemented"),d.initialized=!0,d.features={implementsDomRange:r,implementsTextRange:s},r=m.concat(v),s=0;for(n=r.length;s<n;++s)try{r[s](d)}catch(o){t(window,"console")&&e(window.console,"log")&&window.console.log("Init listener threw an exception. Continuing.",o)}}}function o(e){this.name=e,this.supported=this.initialized=!1}var u=["startContainer","startOffset","endContainer","endOffset","collapsed","commonAncestorContainer","START_TO_START","START_TO_END","END_TO_START","END_TO_END"],a=["setStart","setStartBefore","setStartAfter","setEnd","setEndBefore","setEndAfter","collapse","selectNode","selectNodeContents","compareBoundaryPoints","deleteContents","extractContents","cloneContents","insertNode","surroundContents","cloneRange","toString","detach"],f=["boundingHeight","boundingLeft","boundingTop","boundingWidth","htmlText","text"],l=["collapse","compareEndPoints","duplicate","getBookmark","moveToBookmark","moveToElementText","parentElement","pasteHTML","select","setEndPoint"],c=r(e),h=r(t),p=r(n),d={initialized:!1,supported:!0,util:{isHostMethod:e,isHostObject:t,isHostProperty:n,areHostMethods:c,areHostObjects:h,areHostProperties:p},features:{},modules:{},config:{alertOnWarn:!1}};d.fail=i,d.warn=function(e){e="Rangy warning: "+e,d.config.alertOnWarn?window.alert(e):typeof window.console!="undefined"&&typeof window.console.log!="undefined"&&window.console.log(e)};var v=[],m=[];d.init=s,d.addInitListener=function(e){d.initialized?e(d):v.push(e)};var g=[];d.addCreateMissingNativeApiListener=function(e){g.push(e)},d.createMissingNativeApi=function(e){e=e||window,s();for(var t=0,n=g.length;t<n;++t)g[t](e)},o.prototype.fail=function(e){throw this.initialized=!0,this.supported=!1,Error("Module '"+this.name+"' failed to load: "+e)},o.prototype.warn=function(e){d.warn("Module "+this.name+": "+e)},o.prototype.createError=function(e){return Error("Error in Rangy "+this.name+" module: "+e)},d.createModule=function(e,t){var n=new o(e);d.modules[e]=n,m.push(function(e){t(e,n),n.initialized=!0,n.supported=!0})},d.requireModules=function(e){for(var t=0,n=e.length,r,i;t<n;++t){i=e[t],r=d.modules[i];if(!r||!(r instanceof o))throw Error("Module '"+i+"' not found");if(!r.supported)throw Error("Module '"+i+"' not supported")}};var y=!1;h=function(){y||(y=!0,d.initialized||s())};if(typeof window=="undefined")i("No window found");else{if(typeof document!="undefined")return e(document,"addEventListener")&&document.addEventListener("DOMContentLoaded",h,!1),e(window,"addEventListener")?window.addEventListener("load",h,!1):e(window,"attachEvent")?window.attachEvent("onload",h):i("Window does not have required addEventListener or attachEvent method"),d;i("No document found")}}();rangy.createModule("DomUtil",function(e,t){function n(e){for(var t=0;e=e.previousSibling;)t++;return t}function r(e,t){var n=[],r;for(r=e;r;r=r.parentNode)n.push(r);for(r=t;r;r=r.parentNode)if(d(n,r))return r;return null}function i(e,t,n){for(n=n?e:e.parentNode;n;){e=n.parentNode;if(e===t)return n;n=e}return null}function s(e){return e=e.nodeType,e==3||e==4||e==8}function o(e,t){var n=t.nextSibling,r=t.parentNode;return n?r.insertBefore(e,n):r.appendChild(e),e}function u(e){if(e.nodeType==9)return e;if(typeof e.ownerDocument!="undefined")return e.ownerDocument;if(typeof e.document!="undefined")return e.document;if(e.parentNode)return u(e.parentNode);throw Error("getDocument: no document found for node")}function a(e){return e?s(e)?'"'+e.data+'"':e.nodeType==1?"<"+e.nodeName+(e.id?' id="'+e.id+'"':"")+">["+e.childNodes.length+"]":e.nodeName:"[No node]"}function f(e){this._next=this.root=e}function l(e,t){this.node=e,this.offset=t}function c(e){this.code=this[e],this.codeName=e,this.message="DOMException: "+this.codeName}var h=e.util;h.areHostMethods(document,["createDocumentFragment","createElement","createTextNode"])||t.fail("document missing a Node creation method"),h.isHostMethod(document,"getElementsByTagName")||t.fail("document missing getElementsByTagName method");var p=document.createElement("div");h.areHostMethods(p,["insertBefore","appendChild","cloneNode"])||t.fail("Incomplete Element implementation"),p=document.createTextNode("test"),h.areHostMethods(p,["splitText","deleteData","insertData","appendData","cloneNode"])||t.fail("Incomplete Text Node implementation");var d=function(e,t){for(var n=e.length;n--;)if(e[n]===t)return!0;return!1};f.prototype={_current:null,hasNext:function(){return!!this._next},next:function(){var e=this._current=this._next,t;if(this._current)if(t=e.firstChild)this._next=t;else{for(t=null;e!==this.root&&!(t=e.nextSibling);)e=e.parentNode;this._next=t}return this._current},detach:function(){this._current=this._next=this.root=null}},l.prototype={equals:function(e){return this.node===e.node&this.offset==e.offset},inspect:function(){return"[DomPosition("+a(this.node)+":"+this.offset+")]"}},c.prototype={INDEX_SIZE_ERR:1,HIERARCHY_REQUEST_ERR:3,WRONG_DOCUMENT_ERR:4,NO_MODIFICATION_ALLOWED_ERR:7,NOT_FOUND_ERR:8,NOT_SUPPORTED_ERR:9,INVALID_STATE_ERR:11},c.prototype.toString=function(){return this.message},e.dom={arrayContains:d,getNodeIndex:n,getCommonAncestor:r,isAncestorOf:function(e,t,n){for(t=n?t:t.parentNode;t;){if(t===e)return!0;t=t.parentNode}return!1},getClosestAncestorIn:i,isCharacterDataNode:s,insertAfter:o,splitDataNode:function(e,t){var n;return e.nodeType==3?n=e.splitText(t):(n=e.cloneNode(),n.deleteData(0,t),e.deleteData(0,e.length-t),o(n,e)),n},getDocument:u,getWindow:function(e){e=u(e);if(typeof e.defaultView!="undefined")return e.defaultView;if(typeof e.parentWindow!="undefined")return e.parentWindow;throw Error("Cannot get a window object for node")},getIframeWindow:function(e){if(typeof e.contentWindow!="undefined")return e.contentWindow;if(typeof e.contentDocument!="undefined")return e.contentDocument.defaultView;throw Error("getIframeWindow: No Window object found for iframe element")},getIframeDocument:function(e){if(typeof e.contentDocument!="undefined")return e.contentDocument;if(typeof e.contentWindow!="undefined")return e.contentWindow.document;throw Error("getIframeWindow: No Document object found for iframe element")},getBody:function(e){return h.isHostObject(e,"body")?e.body:e.getElementsByTagName("body")[0]},comparePoints:function(e,t,s,o){var u;if(e==s)return t===o?0:t<o?-1:1;if(u=i(s,e,!0))return t<=n(u)?-1:1;if(u=i(e,s,!0))return n(u)<o?-1:1;t=r(e,s),e=e===t?t:i(e,t,!0),s=s===t?t:i(s,t,!0);if(e===s)throw Error("comparePoints got to case 4 and childA and childB are the same!");for(t=t.firstChild;t;){if(t===e)return-1;if(t===s)return 1;t=t.nextSibling}throw Error("Should not be here!")},inspectNode:a,createIterator:function(e){return new f(e)},DomPosition:l},e.DOMException=c}),rangy.createModule("DomRange",function(e){function t(e,t){return e.nodeType!=3&&(D.isAncestorOf(e,t.startContainer,!0)||D.isAncestorOf(e,t.endContainer,!0))}function n(e){return D.getDocument(e.startContainer)}function r(e,t,n){if(t=e._listeners[t])for(var r=0,i=t.length;r<i;++r)t[r].call(e,{target:e,args:n})}function i(e){return new P(e.parentNode,D.getNodeIndex(e))}function s(e){return new P(e.parentNode,D.getNodeIndex(e)+1)}function o(e){return D.isCharacterDataNode(e)?e.length:e.childNodes?e.childNodes.length:0}function u(e,t,n){var r=e.nodeType==11?e.firstChild:e;return D.isCharacterDataNode(t)?n==t.length?D.insertAfter(e,t):t.parentNode.insertBefore(e,n==0?t:D.splitDataNode(t,n)):n>=t.childNodes.length?t.appendChild(e):t.insertBefore(e,t.childNodes[n]),r}function a(e){for(var t,r,i=n(e.range).createDocumentFragment();r=e.next();){t=e.isPartiallySelectedSubtree(),r=r.cloneNode(!t),t&&(t=e.getSubtreeIterator(),r.appendChild(a(t)),t.detach(!0));if(r.nodeType==10)throw new H("HIERARCHY_REQUEST_ERR");i.appendChild(r)}return i}function f(e,t,n){var r,i;for(n=n||{stop:!1};r=e.next();)if(e.isPartiallySelectedSubtree()){if(t(r)===!1){n.stop=!0;return}r=e.getSubtreeIterator(),f(r,t,n),r.detach(!0);if(n.stop)return}else for(r=D.createIterator(r);i=r.next();)if(t(i)===!1){n.stop=!0;return}}function l(e){for(var t;e.next();)e.isPartiallySelectedSubtree()?(t=e.getSubtreeIterator(),l(t),t.detach(!0)):e.remove()}function c(e){for(var t,r=n(e.range).createDocumentFragment(),i;t=e.next();){e.isPartiallySelectedSubtree()?(t=t.cloneNode(!1),i=e.getSubtreeIterator(),t.appendChild(c(i)),i.detach(!0)):e.remove();if(t.nodeType==10)throw new H("HIERARCHY_REQUEST_ERR");r.appendChild(t)}return r}function h(e,t,n){var r=!!t&&!!t.length,i,s=!!n;r&&(i=RegExp("^("+t.join("|")+")$"));var o=[];return f(new d(e,!1),function(e){(!r||i.test(e.nodeType))&&(!s||n(e))&&o.push(e)}),o}function p(e){return"["+(typeof e.getName=="undefined"?"Range":e.getName())+"("+D.inspectNode(e.startContainer)+":"+e.startOffset+", "+D.inspectNode(e.endContainer)+":"+e.endOffset+")]"}function d(e,t){this.range=e,this.clonePartiallySelectedTextNodes=t;if(!e.collapsed){this.sc=e.startContainer,this.so=e.startOffset,this.ec=e.endContainer,this.eo=e.endOffset;var n=e.commonAncestorContainer;this.sc===this.ec&&D.isCharacterDataNode(this.sc)?(this.isSingleCharacterDataNode=!0,this._first=this._last=this._next=this.sc):(this._first=this._next=this.sc===n&&!D.isCharacterDataNode(this.sc)?this.sc.childNodes[this.so]:D.getClosestAncestorIn(this.sc,n,!0),this._last=this.ec===n&&!D.isCharacterDataNode(this.ec)?this.ec.childNodes[this.eo-1]:D.getClosestAncestorIn(this.ec,n,!0))}}function v(e){this.code=this[e],this.codeName=e,this.message="RangeException: "+this.codeName}function m(e,t,n){this.nodes=h(e,t,n),this._next=this.nodes[0],this._position=0}function g(e){return function(t,n){for(var r,i=n?t:t.parentNode;i;){r=i.nodeType;if(D.arrayContains(e,r))return i;i=i.parentNode}return null}}function y(e){for(var t;t=e.parentNode;)e=t;return e}function b(e,t){if(U(e,t))throw new v("INVALID_NODE_TYPE_ERR")}function w(e){if(!e.startContainer)throw new H("INVALID_STATE_ERR")}function E(e,t){if(!D.arrayContains(t,e.nodeType))throw new v("INVALID_NODE_TYPE_ERR")}function S(e,t){if(t<0||t>(D.isCharacterDataNode(e)?e.length:e.childNodes.length))throw new H("INDEX_SIZE_ERR")}function x(e,t){if(q(e,!0)!==q(t,!0))throw new H("WRONG_DOCUMENT_ERR")}function T(e){if(R(e,!0))throw new H("NO_MODIFICATION_ALLOWED_ERR")}function N(e,t){if(!e)throw new H(t)}function C(e){if(!q(e.startContainer,!0)||!q(e.endContainer,!0)||!(e.startOffset<=(D.isCharacterDataNode(e.startContainer)?e.startContainer.length:e.startContainer.childNodes.length))||!(e.endOffset<=(D.isCharacterDataNode(e.endContainer)?e.endContainer.length:e.endContainer.childNodes.length)))throw Error("Range error: Range is no longer valid after DOM mutation ("+e.inspect()+")")}function k(e){e.START_TO_START=W,e.START_TO_END=X,e.END_TO_END=V,e.END_TO_START=$,e.NODE_BEFORE=J,e.NODE_AFTER=K,e.NODE_BEFORE_AND_AFTER=Q,e.NODE_INSIDE=G}function L(e){k(e),k(e.prototype)}function A(e,r,g){function k(e,t){return function(n){w(this),E(n,B),E(y(n),j),n=(e?i:s)(n),(t?A:O)(this,n.node,n.offset)}}function A(e,t,n){var i=e.endContainer,s=e.endOffset;if(t!==e.startContainer||n!==this.startOffset){if(y(t)!=y(i)||D.comparePoints(t,n,i,s)==1)i=t,s=n;r(e,t,n,i,s)}}function O(e,t,n){var i=e.startContainer,s=e.startOffset;if(t!==e.endContainer||n!==this.endOffset){if(y(t)!=y(i)||D.comparePoints(t,n,i,s)==-1)i=t,s=n;r(e,i,s,t,n)}}function M(e,t,n){(t!==e.startContainer||n!==this.startOffset||t!==e.endContainer||n!==this.endOffset)&&r(e,t,n,t,n)}function P(e){return function(){w(this),C(this);var t=this.startContainer,n=this.startOffset,i=this.commonAncestorContainer,o=new d(this,!0);return t!==i&&(t=D.getClosestAncestorIn(t,i,!0),n=s(t),t=n.node,n=n.offset),f(o,T),o.reset(),i=e(o),o.detach(),r(this,t,n,t,n),i}}e.prototype={attachListener:function(e,t){this._listeners[e].push(t)},setStart:function(e,t){w(this),b(e,!0),S(e,t),A(this,e,t)},setEnd:function(e,t){w(this),b(e,!0),S(e,t),O(this,e,t)},setStartBefore:k(!0,!0),setStartAfter:k(!1,!0),setEndBefore:k(!0,!1),setEndAfter:k(!1,!1),collapse:function(e){w(this),C(this),e?r(this,this.startContainer,this.startOffset,this.startContainer,this.startOffset):r(this,this.endContainer,this.endOffset,this.endContainer,this.endOffset)},selectNodeContents:function(e){w(this),b(e,!0),r(this,e,0,e,o(e))},selectNode:function(e){w(this),b(e,!1),E(e,B);var t=i(e);e=s(e),r(this,t.node,t.offset,e.node,e.offset)},compareBoundaryPoints:function(e,t){w(this),C(this),x(this.startContainer,t.startContainer);var n=e==$||e==W?"start":"end",r=e==X||e==W?"start":"end";return D.comparePoints(this[n+"Container"],this[n+"Offset"],t[r+"Container"],t[r+"Offset"])},insertNode:function(e){w(this),C(this),E(e,F),T(this.startContainer);if(D.isAncestorOf(e,this.startContainer,!0))throw new H("HIERARCHY_REQUEST_ERR");this.setStartBefore(u(e,this.startContainer,this.startOffset))},cloneContents:function(){w(this),C(this);var e,t;return this.collapsed?n(this).createDocumentFragment():this.startContainer===this.endContainer&&D.isCharacterDataNode(this.startContainer)?(e=this.startContainer.cloneNode(!0),e.data=e.data.slice(this.startOffset,this.endOffset),t=n(this).createDocumentFragment(),t.appendChild(e),t):(t=new d(this,!0),e=a(t),t.detach(),e)},extractContents:P(c),deleteContents:P(l),canSurroundContents:function(){w(this),C(this),T(this.startContainer),T(this.endContainer);var e=new d(this,!0),n=e._first&&t(e._first,this)||e._last&&t(e._last,this);return e.detach(),!n},surroundContents:function(e){E(e,I);if(!this.canSurroundContents())throw new v("BAD_BOUNDARYPOINTS_ERR");var t=this.extractContents();if(e.hasChildNodes())for(;e.lastChild;)e.removeChild(e.lastChild);u(e,this.startContainer,this.startOffset),e.appendChild(t),this.selectNode(e)},cloneRange:function(){w(this),C(this);for(var e=new _(n(this)),t=z.length,r;t--;)r=z[t],e[r]=this[r];return e},detach:function(){g(this)},toString:function(){w(this),C(this);var e=this.startContainer;if(e===this.endContainer&&D.isCharacterDataNode(e))return e.nodeType==3||e.nodeType==4?e.data.slice(this.startOffset,this.endOffset):"";var t=[];return e=new d(this,!0),f(e,function(e){(e.nodeType==3||e.nodeType==4)&&t.push(e.data)}),e.detach(),t.join("")},compareNode:function(e){w(this),C(this);var t=e.parentNode,n=D.getNodeIndex(e);if(!t)throw new H("NOT_FOUND_ERR");return e=this.comparePoint(t,n),t=this.comparePoint(t,n+1),e<0?t>0?Q:J:t>0?K:G},comparePoint:function(e,t){return w(this),C(this),N(e,"HIERARCHY_REQUEST_ERR"),x(e,this.startContainer),D.comparePoints(e,t,this.startContainer,this.startOffset)<0?-1:D.comparePoints(e,t,this.endContainer,this.endOffset)>0?1:0},createContextualFragment:function(e){w(this);var t=n(this),r=t.createElement("div");r.innerHTML=e;for(e=t.createDocumentFragment();t=r.firstChild;)e.appendChild(t);return e},intersectsNode:function(e,t){w(this),C(this),N(e,"NOT_FOUND_ERR");if(D.getDocument(e)!==n(this))return!1;var r=e.parentNode,i=D.getNodeIndex(e);N(r,"NOT_FOUND_ERR");var s=D.comparePoints(r,i,this.endContainer,this.endOffset);return r=D.comparePoints(r,i+1,this.startContainer,this.startOffset),t?s<=0&&r>=0:s<0&&r>0},isPointInRange:function(e,t){return w(this),C(this),N(e,"HIERARCHY_REQUEST_ERR"),x(e,this.startContainer),D.comparePoints(e,t,this.startContainer,this.startOffset)>=0&&D.comparePoints(e,t,this.endContainer,this.endOffset)<=0},intersectsRange:function(e){w(this),C(this);if(n(e)!=n(this))throw new H("WRONG_DOCUMENT_ERR");return D.comparePoints(this.startContainer,this.startOffset,e.endContainer,e.endOffset)<0&&D.comparePoints(this.endContainer,this.endOffset,e.startContainer,e.startOffset)>0},intersection:function(e){if(this.intersectsRange(e)){var t=D.comparePoints(this.startContainer,this.startOffset,e.startContainer,e.startOffset),n=D.comparePoints(this.endContainer,this.endOffset,e.endContainer,e.endOffset),r=this.cloneRange();return t==-1&&r.setStart(e.startContainer,e.startOffset),n==1&&r.setEnd(e.endContainer,e.endOffset),r}return null},containsNode:function(e,t){return t?this.intersectsNode(e,!1):this.compareNode(e)==G},containsNodeContents:function(e){return this.comparePoint(e,0)>=0&&this.comparePoint(e,o(e))<=0},splitBoundaries:function(){C(this);var e=this.startContainer,t=this.startOffset,n=this.endContainer,i=this.endOffset,s=e===n;D.isCharacterDataNode(n)&&i>0&&i<n.length&&D.splitDataNode(n,i),D.isCharacterDataNode(e)&&t>0&&t<e.length&&(e=D.splitDataNode(e,t),s?(i-=t,n=e):n==e.parentNode&&i>=D.getNodeIndex(e)&&i++,t=0),r(this,e,t,n,i)},normalizeBoundaries:function(){C(this);var e=this.startContainer,t=this.startOffset,n=this.endContainer,i=this.endOffset,s=function(e){var t=e.nextSibling;t&&t.nodeType==e.nodeType&&(n=e,i=e.length,e.appendData(t.data),t.parentNode.removeChild(t))},o=function(r){var s=r.previousSibling;if(s&&s.nodeType==r.nodeType){e=r;var o=r.length;t=s.length,r.insertData(0,s.data),s.parentNode.removeChild(s),e==n?(i+=t,n=e):n==r.parentNode&&(s=D.getNodeIndex(r),i==s?(n=r,i=o):i>s&&i--)}},u=!0;D.isCharacterDataNode(n)?n.length==i&&s(n):(i>0&&(u=n.childNodes[i-1])&&D.isCharacterDataNode(u)&&s(u),u=!this.collapsed),u?D.isCharacterDataNode(e)?t==0&&o(e):t<e.childNodes.length&&(s=e.childNodes[t])&&D.isCharacterDataNode(s)&&o(s):(e=n,t=i),r(this,e,t,n,i)},createNodeIterator:function(e,t){return w(this),C(this),new m(this,e,t)},getNodes:function(e,t){return w(this),C(this),h(this,e,t)},collapseToPoint:function(e,t){w(this),C(this),b(e,!0),S(e,t),M(this,e,t)},collapseBefore:function(e){w(this),this.setEndBefore(e),this.collapse(!1)},collapseAfter:function(e){w(this),this.setStartAfter(e),this.collapse(!0)},getName:function(){return"DomRange"},equals:function(e){return _.rangesEqual(this,e)},inspect:function(){return p(this)}},L(e)}function O(e){e.collapsed=e.startContainer===e.endContainer&&e.startOffset===e.endOffset,e.commonAncestorContainer=e.collapsed?e.startContainer:D.getCommonAncestor(e.startContainer,e.endContainer)}function M(e,t,n,i,s){var o=e.startContainer!==t||e.startOffset!==n,u=e.endContainer!==i||e.endOffset!==s;e.startContainer=t,e.startOffset=n,e.endContainer=i,e.endOffset=s,O(e),r(e,"boundarychange",{startMoved:o,endMoved:u})}function _(e){this.startContainer=e,this.startOffset=0,this.endContainer=e,this.endOffset=0,this._listeners={boundarychange:[],detach:[]},O(this)}e.requireModules(["DomUtil"]);var D=e.dom,P=D.DomPosition,H=e.DOMException;d.prototype={_current:null,_next:null,_first:null,_last:null,isSingleCharacterDataNode:!1,reset:function(){this._current=null,this._next=this._first},hasNext:function(){return!!this._next},next:function(){var e=this._current=this._next;return e&&(this._next=e!==this._last?e.nextSibling:null,D.isCharacterDataNode(e)&&this.clonePartiallySelectedTextNodes&&(e===this.ec&&(e=e.cloneNode(!0)).deleteData(this.eo,e.length-this.eo),this._current===this.sc&&(e=e.cloneNode(!0)).deleteData(0,this.so))),e},remove:function(){var e=this._current,t,n;!D.isCharacterDataNode(e)||e!==this.sc&&e!==this.ec?e.parentNode&&e.parentNode.removeChild(e):(t=e===this.sc?this.so:0,n=e===this.ec?this.eo:e.length,t!=n&&e.deleteData(t,n-t))},isPartiallySelectedSubtree:function(){return t(this._current,this.range)},getSubtreeIterator:function(){var e;if(this.isSingleCharacterDataNode)e=this.range.cloneRange(),e.collapse();else{e=new _(n(this.range));var t=this._current,r=t,i=0,s=t,u=o(t);D.isAncestorOf(t,this.sc,!0)&&(r=this.sc,i=this.so),D.isAncestorOf(t,this.ec,!0)&&(s=this.ec,u=this.eo),M(e,r,i,s,u)}return new d(e,this.clonePartiallySelectedTextNodes)},detach:function(e){e&&this.range.detach(),this.range=this._current=this._next=this._first=this._last=this.sc=this.so=this.ec=this.eo=null}},v.prototype={BAD_BOUNDARYPOINTS_ERR:1,INVALID_NODE_TYPE_ERR:2},v.prototype.toString=function(){return this.message},m.prototype={_current:null,hasNext:function(){return!!this._next},next:function(){return this._current=this._next,this._next=this.nodes[++this._position],this._current},detach:function(){this._current=this._next=this.nodes=null}};var B=[1,3,4,5,7,8,10],j=[2,9,11],F=[1,3,4,5,7,8,10,11],I=[1,3,4,5,7,8],q=g([9,11]),R=g([5,6,10,12]),U=g([6,10,12]),z=["startContainer","startOffset","endContainer","endOffset","collapsed","commonAncestorContainer"],W=0,X=1,V=2,$=3,J=0,K=1,Q=2,G=3;A(_,M,function(e){w(e),e.startContainer=e.startOffset=e.endContainer=e.endOffset=null,e.collapsed=e.commonAncestorContainer=null,r(e,"detach",null),e._listeners=null}),_.fromRange=function(e){var t=new _(n(e));return M(t,e.startContainer,e.startOffset,e.endContainer,e.endOffset),t},_.rangeProperties=z,_.RangeIterator=d,_.copyComparisonConstants=L,_.createPrototypeRange=A,_.inspect=p,_.getRangeDocument=n,_.rangesEqual=function(e,t){return e.startContainer===t.startContainer&&e.startOffset===t.startOffset&&e.endContainer===t.endContainer&&e.endOffset===t.endOffset},_.getEndOffset=o,e.DomRange=_,e.RangeException=v}),rangy.createModule("WrappedRange",function(e){function t(e,t,n,r){var o=e.duplicate();o.collapse(n);var u=o.parentElement();i.isAncestorOf(t,u,!0)||(u=t);if(!u.canHaveHTML)return new s(u.parentNode,i.getNodeIndex(u));t=i.getDocument(u).createElement("span");var a,f=n?"StartToStart":"StartToEnd";do u.insertBefore(t,t.previousSibling),o.moveToElementText(t);while((a=o.compareEndPoints(f,e))>0&&t.previousSibling);f=t.nextSibling;if(a==-1&&f&&i.isCharacterDataNode(f)){o.setEndPoint(n?"EndToStart":"EndToEnd",e);if(/[\r\n]/.test(f.data)){u=o.duplicate(),n=u.text.replace(/\r\n/g,"\r").length;for(n=u.moveStart("character",n);u.compareEndPoints("StartToEnd",u)==-1;)n++,u.moveStart("character",1)}else n=o.text.length;u=new s(f,n)}else f=(r||!n)&&t.previousSibling,u=(n=(r||n)&&t.nextSibling)&&i.isCharacterDataNode(n)?new s(n,0):f&&i.isCharacterDataNode(f)?new s(f,f.length):new s(u,i.getNodeIndex(t));return t.parentNode.removeChild(t),u}function n(e,t){var n,r,s=e.offset,o=i.getDocument(e.node),u=o.body.createTextRange(),a=i.isCharacterDataNode(e.node);return a?(n=e.node,r=n.parentNode):(n=e.node.childNodes,n=s<n.length?n[s]:null,r=e.node),o=o.createElement("span"),o.innerHTML="&#feff;",n?r.insertBefore(o,n):r.appendChild(o),u.moveToElementText(o),u.collapse(!t),r.removeChild(o),a&&u[t?"moveStart":"moveEnd"]("character",s),u}e.requireModules(["DomUtil","DomRange"]);var r,i=e.dom,s=i.DomPosition,o=e.DomRange;if(e.features.implementsDomRange)(function(){function e(e){for(var t=n.length,r;t--;)r=n[t],e[r]=e.nativeRange[r]}var t,n=o.rangeProperties,s,u;r=function(t){if(!t)throw Error("Range must be specified");this.nativeRange=t,e(this)},o.createPrototypeRange(r,function(e,t,n,r,i){var s=e.endContainer!==r||e.endOffset!=i;if(e.startContainer!==t||e.startOffset!=n||s)e.setEnd(r,i),e.setStart(t,n)},function(e){e.nativeRange.detach(),e.detached=!0;for(var t=n.length,r;t--;)r=n[t],e[r]=null}),t=r.prototype,t.selectNode=function(t){this.nativeRange.selectNode(t),e(this)},t.deleteContents=function(){this.nativeRange.deleteContents(),e(this)},t.extractContents=function(){var t=this.nativeRange.extractContents();return e(this),t},t.cloneContents=function(){return this.nativeRange.cloneContents()},t.surroundContents=function(t){this.nativeRange.surroundContents(t),e(this)},t.collapse=function(t){this.nativeRange.collapse(t),e(this)},t.cloneRange=function(){return new r(this.nativeRange.cloneRange())},t.refresh=function(){e(this)},t.toString=function(){return this.nativeRange.toString()};var a=document.createTextNode("test");i.getBody(document).appendChild(a);var f=document.createRange();f.setStart(a,0),f.setEnd(a,0);try{f.setStart(a,1),s=!0,t.setStart=function(t,n){this.nativeRange.setStart(t,n),e(this)},t.setEnd=function(t,n){this.nativeRange.setEnd(t,n),e(this)},u=function(t){return function(n){this.nativeRange[t](n),e(this)}}}catch(l){s=!1,t.setStart=function(t,n){try{this.nativeRange.setStart(t,n)}catch(r){this.nativeRange.setEnd(t,n),this.nativeRange.setStart(t,n)}e(this)},t.setEnd=function(t,n){try{this.nativeRange.setEnd(t,n)}catch(r){this.nativeRange.setStart(t,n),this.nativeRange.setEnd(t,n)}e(this)},u=function(t,n){return function(r){try{this.nativeRange[t](r)}catch(i){this.nativeRange[n](r),this.nativeRange[t](r)}e(this)}}}t.setStartBefore=u("setStartBefore","setEndBefore"),t.setStartAfter=u("setStartAfter","setEndAfter"),t.setEndBefore=u("setEndBefore","setStartBefore"),t.setEndAfter=u("setEndAfter","setStartAfter"),f.selectNodeContents(a),t.selectNodeContents=f.startContainer==a&&f.endContainer==a&&f.startOffset==0&&f.endOffset==a.length?function(t){this.nativeRange.selectNodeContents(t),e(this)}:function(e){this.setStart(e,0),this.setEnd(e,o.getEndOffset(e))},f.selectNodeContents(a),f.setEnd(a,3),s=document.createRange(),s.selectNodeContents(a),s.setEnd(a,4),s.setStart(a,2),t.compareBoundaryPoints=f.compareBoundaryPoints(f.START_TO_END,s)==-1&f.compareBoundaryPoints(f.END_TO_START,s)==1?function(e,t){return t=t.nativeRange||t,e==t.START_TO_END?e=t.END_TO_START:e==t.END_TO_START&&(e=t.START_TO_END),this.nativeRange.compareBoundaryPoints(e,t)}:function(e,t){return this.nativeRange.compareBoundaryPoints(e,t.nativeRange||t)},i.getBody(document).removeChild(a),f.detach(),s.detach()})();else if(e.features.implementsTextRange){r=function(e){this.textRange=e,this.refresh()},r.prototype=new o(document),r.prototype.refresh=function(){var e,n,r=this.textRange;e=r.parentElement();var s=r.duplicate();s.collapse(!0),n=s.parentElement(),s=r.duplicate(),s.collapse(!1),r=s.parentElement(),n=n==r?n:i.getCommonAncestor(n,r),n=n==e?n:i.getCommonAncestor(e,n),this.textRange.compareEndPoints("StartToEnd",this.textRange)==0?n=e=t(this.textRange,n,!0,!0):(e=t(this.textRange,n,!0,!1),n=t(this.textRange,n,!1,!1)),this.setStart(e.node,e.offset),this.setEnd(n.node,n.offset)},r.rangeToTextRange=function(e){if(e.collapsed)return n(new s(e.startContainer,e.startOffset),!0);var t=n(new s(e.startContainer,e.startOffset),!0),r=n(new s(e.endContainer,e.endOffset),!1);return e=i.getDocument(e.startContainer).body.createTextRange(),e.setEndPoint("StartToStart",t),e.setEndPoint("EndToEnd",r),e},o.copyComparisonConstants(r);var u=function(){return this}();typeof u.Range=="undefined"&&(u.Range=r)}r.prototype.getName=function(){return"WrappedRange"},e.WrappedRange=r,e.createNativeRange=function(t){t=t||document;if(e.features.implementsDomRange)return t.createRange();if(e.features.implementsTextRange)return t.body.createTextRange()},e.createRange=function(t){return t=t||document,new r(e.createNativeRange(t))},e.createRangyRange=function(e){return e=e||document,new o(e)},e.createIframeRange=function(t){return e.createRange(i.getIframeDocument(t))},e.createIframeRangyRange=function(t){return e.createRangyRange(i.getIframeDocument(t))},e.addCreateMissingNativeApiListener(function(t){t=t.document,typeof t.createRange=="undefined"&&(t.createRange=function(){return e.createRange(this)}),t=t=null})}),rangy.createModule("WrappedSelection",function(e,t){function n(e){return(e||window).getSelection()}function r(e){return(e||window).document.selection}function i(e,t,n){var r=n?"end":"start";n=n?"start":"end",e.anchorNode=t[r+"Container"],e.anchorOffset=t[r+"Offset"],e.focusNode=t[n+"Container"],e.focusOffset=t[n+"Offset"]}function s(e){e.anchorNode=e.focusNode=null,e.anchorOffset=e.focusOffset=0,e.rangeCount=0,e.isCollapsed=!0,e._ranges.length=0}function o(t){var n;return t instanceof g?(n=t._selectionNativeRange,n||(n=e.createNativeRange(v.getDocument(t.startContainer)),n.setEnd(t.endContainer,t.endOffset),n.setStart(t.startContainer,t.startOffset),t._selectionNativeRange=n,t.attachListener("detach",function(){this._selectionNativeRange=null}))):t instanceof y?n=t.nativeRange:window.Range&&t instanceof Range&&(n=t),n}function u(e){var t=e.getNodes(),n;e:if(!t.length||t[0].nodeType!=1)n=!1;else{n=1;for(var r=t.length;n<r;++n)if(!v.isAncestorOf(t[0],t[n])){n=!1;break e}n=!0}if(!n)throw Error("getSingleElementFromRange: range "+e.inspect()+" did not consist of a single element");return t[0]}function a(e,t){var n=new y(t);e._ranges=[n],i(e,n,!1),e.rangeCount=1,e.isCollapsed=n.collapsed}function f(t){t._ranges.length=0;if(t.docSelection.type=="None")s(t);else{var n=t.docSelection.createRange();if(n&&typeof n.text!="undefined")a(t,n);else{t.rangeCount=n.length;for(var r,o=v.getDocument(n.item(0)),u=0;u<t.rangeCount;++u)r=e.createRange(o),r.selectNode(n.item(u)),t._ranges.push(r);t.isCollapsed=t.rangeCount==1&&t._ranges[0].collapsed,i(t,t._ranges[t.rangeCount-1],!1)}}}function l(e,t){var n=e.docSelection.createRange(),r=u(t),i=v.getDocument(n.item(0));i=v.getBody(i).createControlRange();for(var s=0,o=n.length;s<o;++s)i.add(n.item(s));try{i.add(r)}catch(a){throw Error("addRange(): Element within the specified Range could not be added to control selection (does it have layout?)")}i.select(),f(e)}function c(e,t,n){this.nativeSelection=e,this.docSelection=t,this._ranges=[],this.win=n,this.refresh()}function h(e,t){var n=v.getDocument(t[0].startContainer);n=v.getBody(n).createControlRange();for(var r=0,i;r<rangeCount;++r){i=u(t[r]);try{n.add(i)}catch(s){throw Error("setRanges(): Element within the one of the specified Ranges could not be added to control selection (does it have layout?)")}}n.select(),f(e)}function p(e,t){if(e.anchorNode&&v.getDocument(e.anchorNode)!==v.getDocument(t))throw new b("WRONG_DOCUMENT_ERR")}function d(e){var t=[],n=new w(e.anchorNode,e.anchorOffset),r=new w(e.focusNode,e.focusOffset),i=typeof e.getName=="function"?e.getName():"Selection";if(typeof e.rangeCount!="undefined")for(var s=0,o=e.rangeCount;s<o;++s)t[s]=g.inspect(e.getRangeAt(s));return"["+i+"(Ranges: "+t.join(", ")+")(anchor: "+n.inspect()+", focus: "+r.inspect()+"]"}e.requireModules(["DomUtil","DomRange","WrappedRange"]),e.config.checkSelectionRanges=!0;var v=e.dom,m=e.util,g=e.DomRange,y=e.WrappedRange,b=e.DOMException,w=v.DomPosition,E,S,x=e.util.isHostMethod(window,"getSelection"),T=e.util.isHostObject(document,"selection");x?(E=n,e.isSelectionValid=function(){return!0}):T?(E=r,e.isSelectionValid=function(e){e=(e||window).document;var t=e.selection;return t.type!="None"||v.getDocument(t.createRange().parentElement())==e}):t.fail("No means of obtaining a selection object"),e.getNativeSelection=E,x=E();var N=e.createNativeRange(document),C=v.getBody(document),k=m.areHostObjects(x,m.areHostProperties(x,["anchorOffset","focusOffset"]));e.features.selectionHasAnchorAndFocus=k;var L=m.isHostMethod(x,"extend");e.features.selectionHasExtend=L;var A=typeof x.rangeCount=="number";e.features.selectionHasRangeCount=A;var O=!1,M=!0;m.areHostMethods(x,["addRange","getRangeAt","removeAllRanges"])&&typeof x.rangeCount=="number"&&e.features.implementsDomRange&&function(){var e=document.createElement("iframe");C.appendChild(e);var t=v.getIframeDocument(e);t.open(),t.write("<html><head></head><body>12</body></html>"),t.close();var n=v.getIframeWindow(e).getSelection(),r=t.documentElement.lastChild.firstChild;t=t.createRange(),t.setStart(r,1),t.collapse(!0),n.addRange(t),M=n.rangeCount==1,n.removeAllRanges();var i=t.cloneRange();t.setStart(r,0),i.setEnd(r,2),n.addRange(t),n.addRange(i),O=n.rangeCount==2,t.detach(),i.detach(),C.removeChild(e)}(),e.features.selectionSupportsMultipleRanges=O,e.features.collapsedNonEditableSelectionsSupported=M;var _=!1,D;C&&m.isHostMethod(C,"createControlRange")&&(D=C.createControlRange(),m.areHostProperties(D,["item","add"])&&(_=!0)),e.features.implementsControlRange=_,S=k?function(e){return e.anchorNode===e.focusNode&&e.anchorOffset===e.focusOffset}:function(e){return e.rangeCount?e.getRangeAt(e.rangeCount-1).collapsed:!1};var P;m.isHostMethod(x,"getRangeAt")?P=function(e,t){try{return e.getRangeAt(t)}catch(n){return null}}:k&&(P=function(t){var n=v.getDocument(t.anchorNode);return n=e.createRange(n),n.setStart(t.anchorNode,t.anchorOffset),n.setEnd(t.focusNode,t.focusOffset),n.collapsed!==this.isCollapsed&&(n.setStart(t.focusNode,t.focusOffset),n.setEnd(t.anchorNode,t.anchorOffset)),n}),e.getSelection=function(e){e=e||window;var t=e._rangySelection,n=E(e),i=T?r(e):null;return t?(t.nativeSelection=n,t.docSelection=i,t.refresh(e)):(t=new c(n,i,e),e._rangySelection=t),t},e.getIframeSelection=function(t){return e.getSelection(v.getIframeWindow(t))},D=c.prototype;if(k&&m.areHostMethods(x,["removeAllRanges","addRange"])){D.removeAllRanges=function(){this.nativeSelection.removeAllRanges(),s(this)};var H=function(t,n){var r=g.getRangeDocument(n);r=e.createRange(r),r.collapseToPoint(n.endContainer,n.endOffset),t.nativeSelection.addRange(o(r)),t.nativeSelection.extend(n.startContainer,n.startOffset),t.refresh()};D.addRange=A?function(t,n){if(_&&T&&this.docSelection.type=="Control")l(this,t);else if(n&&L)H(this,t);else{var r;O?r=this.rangeCount:(this.removeAllRanges(),r=0),this.nativeSelection.addRange(o(t)),this.rangeCount=this.nativeSelection.rangeCount,this.rangeCount==r+1?(e.config.checkSelectionRanges&&(r=P(this.nativeSelection,this.rangeCount-1))&&!g.rangesEqual(r,t)&&(t=new y(r)),this._ranges[this.rangeCount-1]=t,i(this,t,F(this.nativeSelection)),this.isCollapsed=S(this)):this.refresh()}}:function(e,t){t&&L?H(this,e):(this.nativeSelection.addRange(o(e)),this.refresh())},D.setRanges=function(e){if(_&&e.length>1)h(this,e);else{this.removeAllRanges();for(var t=0,n=e.length;t<n;++t)this.addRange(e[t])}}}else{if(!(m.isHostMethod(x,"empty")&&m.isHostMethod(N,"select")&&_&&T))return t.fail("No means of selecting a Range or TextRange was found"),!1;D.removeAllRanges=function(){try{this.docSelection.empty();if(this.docSelection.type!="None"){var e;if(this.anchorNode)e=v.getDocument(this.anchorNode);else if(this.docSelection.type=="Control"){var t=this.docSelection.createRange();t.length&&(e=v.getDocument(t.item(0)).body.createTextRange())}e&&(e.body.createTextRange().select(),this.docSelection.empty())}}catch(n){}s(this)},D.addRange=function(e){this.docSelection.type=="Control"?l(this,e):(y.rangeToTextRange(e).select(),this._ranges[0]=e,this.rangeCount=1,this.isCollapsed=this._ranges[0].collapsed,i(this,e,!1))},D.setRanges=function(e){this.removeAllRanges();var t=e.length;t>1?h(this,e):t&&this.addRange(e[0])}}D.getRangeAt=function(e){if(e<0||e>=this.rangeCount)throw new b("INDEX_SIZE_ERR");return this._ranges[e]};var B;if(m.isHostMethod(x,"getRangeAt")&&typeof x.rangeCount=="number")B=function(t){if(_&&T&&t.docSelection.type=="Control")f(t);else{t._ranges.length=t.rangeCount=t.nativeSelection.rangeCount;if(t.rangeCount){for(var n=0,r=t.rangeCount;n<r;++n)t._ranges[n]=new e.WrappedRange(t.nativeSelection.getRangeAt(n));i(t,t._ranges[t.rangeCount-1],F(t.nativeSelection)),t.isCollapsed=S(t)}else s(t)}};else if(k&&typeof x.isCollapsed=="boolean"&&typeof N.collapsed=="boolean"&&e.features.implementsDomRange)B=function(e){var t;t=e.nativeSelection,t.anchorNode?(t=P(t,0),e._ranges=[t],e.rangeCount=1,t=e.nativeSelection,e.anchorNode=t.anchorNode,e.anchorOffset=t.anchorOffset,e.focusNode=t.focusNode,e.focusOffset=t.focusOffset,e.isCollapsed=S(e)):s(e)};else{if(!m.isHostMethod(x,"createRange")||!T)return t.fail("No means of obtaining a Range or TextRange from the user's selection was found"),!1;B=function(t){var n;e.isSelectionValid(t.win)?n=t.docSelection.createRange():(n=v.getBody(t.win.document).createTextRange(),n.collapse(!0)),t.docSelection.type=="Control"?f(t):n&&typeof n.text!="undefined"?a(t,n):s(t)}}D.refresh=function(e){var t=e?this._ranges.slice(0):null;B(this);if(e){e=t.length;if(e!=this._ranges.length)return!1;for(;e--;)if(!g.rangesEqual(t[e],this._ranges[e]))return!1;return!0}};var j=function(e,t){var n=e.getAllRanges(),r=!1;e.removeAllRanges();for(var i=0,o=n.length;i<o;++i)r||t!==n[i]?e.addRange(n[i]):r=!0;e.rangeCount||s(e)};D.removeRange=_?function(e){if(this.docSelection.type=="Control"){var t=this.docSelection.createRange();e=u(e);var n=v.getDocument(t.item(0));n=v.getBody(n).createControlRange();for(var r,i=!1,s=0,o=t.length;s<o;++s)r=t.item(s),r!==e||i?n.add(t.item(s)):i=!0;n.select(),f(this)}else j(this,e)}:function(e){j(this,e)};var F;k&&e.features.implementsDomRange?(F=function(e){var t=!1;return e.anchorNode&&(t=v.comparePoints(e.anchorNode,e.anchorOffset,e.focusNode,e.focusOffset)==1),t},D.isBackwards=function(){return F(this)}):F=D.isBackwards=function(){return!1},D.toString=function(){for(var e=[],t=0,n=this.rangeCount;t<n;++t)e[t]=""+this._ranges[t];return e.join("")},D.collapse=function(t,n){p(this,t);var r=e.createRange(v.getDocument(t));r.collapseToPoint(t,n),this.removeAllRanges(),this.addRange(r),this.isCollapsed=!0},D.collapseToStart=function(){if(!this.rangeCount)throw new b("INVALID_STATE_ERR");var e=this._ranges[0];this.collapse(e.startContainer,e.startOffset)},D.collapseToEnd=function(){if(!this.rangeCount)throw new b("INVALID_STATE_ERR");var e=this._ranges[this.rangeCount-1];this.collapse(e.endContainer,e.endOffset)},D.selectAllChildren=function(t){p(this,t);var n=e.createRange(v.getDocument(t));n.selectNodeContents(t),this.removeAllRanges(),this.addRange(n)},D.deleteFromDocument=function(){if(_&&T&&this.docSelection.type=="Control"){for(var e=this.docSelection.createRange(),t;e.length;)t=e.item(0),e.remove(t),t.parentNode.removeChild(t);this.refresh()}else if(this.rangeCount){e=this.getAllRanges(),this.removeAllRanges(),t=0;for(var n=e.length;t<n;++t)e[t].deleteContents();this.addRange(e[n-1])}},D.getAllRanges=function(){return this._ranges.slice(0)},D.setSingleRange=function(e){this.setRanges([e])},D.containsNode=function(e,t){for(var n=0,r=this._ranges.length;n<r;++n)if(this._ranges[n].containsNode(e,t))return!0;return!1},D.getName=function(){return"WrappedSelection"},D.inspect=function(){return d(this)},D.detach=function(){this.win=this.anchorNode=this.focusNode=this.win._rangySelection=null},c.inspect=d,e.Selection=c,e.addCreateMissingNativeApiListener(function(t){typeof t.getSelection=="undefined"&&(t.getSelection=function(){return e.getSelection(this)}),t=null})}),WYMeditor.editor.prototype.init=function(){var WymClass=!1,SaxListener,prop,h,iframeHtml,boxHtml,aTools,sTools,oTool,sTool,i,aClasses,sClasses,oClass,sClass,aContainers,sContainers,sContainer,oContainer;if(jQuery.browser.msie)WymClass=new WYMeditor.WymClassExplorer(this);else if(jQuery.browser.mozilla)WymClass=new WYMeditor.WymClassMozilla(this);else if(jQuery.browser.opera)WymClass=new WYMeditor.WymClassOpera(this);else if(jQuery.browser.safari||jQuery.browser.webkit||jQuery.browser.chrome)WymClass=new WYMeditor.WymClassSafari(this);if(WymClass===!1)return;jQuery.isFunction(this._options.preInit)&&this._options.preInit(this),SaxListener=new WYMeditor.XhtmlSaxListener,jQuery.extend(SaxListener,WymClass),this.parser=new WYMeditor.XhtmlParser(SaxListener),(this._options.styles||this._options.stylesheet)&&this.configureEditorUsingRawCss(),this.helper=new WYMeditor.XmlHelper;for(prop in WymClass)this[prop]=WymClass[prop];this._box=jQuery(this._element).hide().after(this._options.boxHtml).next().addClass("wym_box_"+this._index),jQuery.isFunction(jQuery.fn.data)&&(jQuery.data(this._box.get(0),WYMeditor.WYM_INDEX,this._index),jQuery.data(this._element.get(0),WYMeditor.WYM_INDEX,this._index)),h=WYMeditor.Helper,iframeHtml=this._options.iframeHtml,iframeHtml=h.replaceAll(iframeHtml,WYMeditor.INDEX,this._index),iframeHtml=h.replaceAll(iframeHtml,WYMeditor.IFRAME_BASE_PATH,this._options.iframeBasePath),boxHtml=jQuery(this._box).html(),boxHtml=h.replaceAll(boxHtml,WYMeditor.LOGO,this._options.logoHtml),boxHtml=h.replaceAll(boxHtml,WYMeditor.TOOLS,this._options.toolsHtml),boxHtml=h.replaceAll(boxHtml,WYMeditor.CONTAINERS,this._options.containersHtml),boxHtml=h.replaceAll(boxHtml,WYMeditor.CLASSES,this._options.classesHtml),boxHtml=h.replaceAll(boxHtml,WYMeditor.HTML,this._options.htmlHtml),boxHtml=h.replaceAll(boxHtml,WYMeditor.IFRAME,iframeHtml),boxHtml=h.replaceAll(boxHtml,WYMeditor.STATUS,this._options.statusHtml),aTools=eval(this._options.toolsItems),sTools="";for(i=0;i<aTools.length;i+=1)oTool=aTools[i],sTool="",oTool.name&&oTool.title&&(sTool=this._options.toolsItemHtml),sTool=h.replaceAll(sTool,WYMeditor.TOOL_NAME,oTool.name),sTool=h.replaceAll(sTool,WYMeditor.TOOL_TITLE,this._options.stringDelimiterLeft+oTool.title+this._options.stringDelimiterRight),sTool=h.replaceAll(sTool,WYMeditor.TOOL_CLASS,oTool.css),sTools+=sTool;boxHtml=h.replaceAll(boxHtml,WYMeditor.TOOLS_ITEMS,sTools),aClasses=eval(this._options.classesItems),sClasses="";for(i=0;i<aClasses.length;i+=1)oClass=aClasses[i],sClass="",oClass.name&&oClass.title&&(sClass=this._options.classesItemHtml),sClass=h.replaceAll(sClass,WYMeditor.CLASS_NAME,oClass.name),sClass=h.replaceAll(sClass,WYMeditor.CLASS_TITLE,oClass.title),sClasses+=sClass;boxHtml=h.replaceAll(boxHtml,WYMeditor.CLASSES_ITEMS,sClasses),aContainers=eval(this._options.containersItems),sContainers="";for(i=0;i<aContainers.length;i+=1)oContainer=aContainers[i],sContainer="",oContainer.name&&oContainer.title&&(sContainer=this._options.containersItemHtml),sContainer=h.replaceAll(sContainer,WYMeditor.CONTAINER_NAME,oContainer.name),sContainer=h.replaceAll(sContainer,WYMeditor.CONTAINER_TITLE,this._options.stringDelimiterLeft+oContainer.title+this._options.stringDelimiterRight),sContainer=h.replaceAll(sContainer,WYMeditor.CONTAINER_CLASS,oContainer.css),sContainers+=sContainer;boxHtml=h.replaceAll(boxHtml,WYMeditor.CONTAINERS_ITEMS,sContainers),boxHtml=this.replaceStrings(boxHtml),jQuery(this._box).html(boxHtml),jQuery(this._box).find(this._options.htmlSelector).hide(),this.loadSkin()},WYMeditor.editor.prototype.bindEvents=function(){var wym=this,$html_val;jQuery(this._box).find(this._options.toolSelector).click(function(){return wym._iframe.contentWindow.focus(),wym.exec(jQuery(this).attr(WYMeditor.NAME)),!1}),jQuery(this._box).find(this._options.containerSelector).click(function(){return wym.container(jQuery(this).attr(WYMeditor.NAME)),!1}),$html_val=jQuery(this._box).find(this._options.htmlValSelector),$html_val.keyup(function(){jQuery(wym._doc.body).html(jQuery(this).val())}),$html_val.focus(function(){jQuery(this).toggleClass("hasfocus")}),$html_val.blur(function(){jQuery(this).toggleClass("hasfocus")}),jQuery(this._box).find(this._options.classSelector).click(function(){var aClasses=eval(wym._options.classesItems),sName=jQuery(this).attr(WYMeditor.NAME),oClass=WYMeditor.Helper.findByName(aClasses,sName),jqexpr;return oClass&&(jqexpr=oClass.expr,wym.toggleClass(sName,jqexpr)),wym._iframe.contentWindow.focus(),!1}),jQuery(this._options.updateSelector).bind(this._options.updateEvent,function(){wym.update()})},WYMeditor.editor.prototype.ready=function(){return this._doc!==null},WYMeditor.editor.prototype.box=function(){return this._box},WYMeditor.editor.prototype.html=function(e){if(typeof e!="string")return jQuery(this._doc.body).html();jQuery(this._doc.body).html(e),this.update()},WYMeditor.editor.prototype.xhtml=function(){var e;return jQuery(this._doc.body).children(WYMeditor.BR).remove(),this.parser.parse(this.html())},WYMeditor.editor.prototype.exec=function(e){var t,n,r=this;switch(e){case WYMeditor.CREATE_LINK:t=this.container(),(t||this._selected_image)&&this.dialog(WYMeditor.DIALOG_LINK);break;case WYMeditor.INSERT_IMAGE:this.dialog(WYMeditor.DIALOG_IMAGE);break;case WYMeditor.INSERT_TABLE:this.dialog(WYMeditor.DIALOG_TABLE);break;case WYMeditor.PASTE:this.dialog(WYMeditor.DIALOG_PASTE);break;case WYMeditor.TOGGLE_HTML:this.update(),this.toggleHtml();break;case WYMeditor.PREVIEW:this.dialog(WYMeditor.PREVIEW,this._options.dialogFeaturesPreview);break;case WYMeditor.INDENT:this.indent();break;case WYMeditor.OUTDENT:this.outdent();break;default:n=!1,jQuery.each(this._options.customCommands,function(){if(e===this.name)return n=!0,this.run.apply(r),!1}),n||this._exec(e)}},WYMeditor.editor.prototype.selection=function(){window.rangy&&!rangy.initialized&&rangy.init();var e=this._iframe,t=rangy.getIframeSelection(e);return t},WYMeditor.editor.prototype.selected=function(){var e=this.selection(),t=e.focusNode;return t?t.nodeName==="#text"?t.parentNode:t:null},WYMeditor.editor.prototype.selection_collapsed=function(){var e=this.selection(),t=!1;return $.each(e.getAllRanges(),function(){if(this.collapsed)return t=!0,!1}),t},WYMeditor.editor.prototype.selected_contains=function(e){var t=this.selection(),n=[];return $.each(t.getAllRanges(),function(){$.each(this.getNodes(),function(){$(this).is(e)&&n.push(this)})}),n},WYMeditor.editor.prototype.selected_parents_contains=function(e){var t=$([]),n=$(this.selected());return n.is(e)&&(t=t.add(n)),t=t.add(n.parents(e)),t},WYMeditor.editor.prototype.container=function(e){if(typeof e=="undefined")return this.selected();var t=null,n=null,r=null,i,s,o,u=null,a;if(e.toLowerCase()===WYMeditor.TH){t=this.container();switch(t.tagName.toLowerCase()){case WYMeditor.TD:case WYMeditor.TH:break;default:n=[WYMeditor.TD,WYMeditor.TH],t=this.findUp(this.container(),n)}t!==null&&(e=WYMeditor.TD,t.tagName.toLowerCase()===WYMeditor.TD&&(e=WYMeditor.TH),this.switchTo(t,e),this.update())}else{n=[WYMeditor.P,WYMeditor.H1,WYMeditor.H2,WYMeditor.H3,WYMeditor.H4,WYMeditor.H5,WYMeditor.H6,WYMeditor.PRE,WYMeditor.BLOCKQUOTE],t=this.findUp(this.container(),n);if(t){if(e.toLowerCase()===WYMeditor.BLOCKQUOTE){i=this.findUp(this.container(),WYMeditor.BLOCKQUOTE);if(i===null)r=this._doc.createElement(e),t.parentNode.insertBefore(r,t),r.appendChild(t),this.setFocusToNode(r.firstChild);else{s=i.childNodes,o=s.length,o>0&&(u=s.item(0));for(a=0;a<o;a+=1)i.parentNode.insertBefore(s.item(0),i);i.parentNode.removeChild(i),u&&this.setFocusToNode(u)}}else this.switchTo(t,e);this.update()}}return!1},WYMeditor.editor.prototype.toggleClass=function(e,t){var n=null;this._selected_image?n=this._selected_image:n=jQuery(this.selected()),n=jQuery(n).parentsOrSelf(t),jQuery(n).toggleClass(e),jQuery(n).attr(WYMeditor.CLASS)||jQuery(n).removeAttr(this._class)},WYMeditor.editor.prototype.findUp=function(e,t){if(typeof e=="undefined"||e===null)return null;e.nodeName==="#text"&&(e=e.parentNode);var n=e.tagName.toLowerCase(),r,i;if(typeof t===WYMeditor.STRING)while(n!==t&&n!==WYMeditor.BODY)e=e.parentNode,n=e.tagName.toLowerCase();else{r=!1;while(!r&&n!==WYMeditor.BODY){for(i=0;i<t.length;i+=1)if(n===t[i]){r=!0;break}if(!r){e=e.parentNode;if(e===null)return null;n=e.tagName.toLowerCase()}}}return n===WYMeditor.BODY?null:e},WYMeditor.editor.prototype.switchTo=function(e,t){var n=this._doc.createElement(t),r=jQuery(e).html();e.parentNode.replaceChild(n,e),jQuery(n).html(r),this.setFocusToNode(n)},WYMeditor.editor.prototype.replaceStrings=function(sVal){var key;if(!WYMeditor.STRINGS[this._options.lang])try{eval(jQuery.ajax({url:this._options.langPath+this._options.lang+".js",async:!1}).responseText)}catch(e){return WYMeditor.console.error("WYMeditor: error while parsing language file."),sVal}for(key in WYMeditor.STRINGS[this._options.lang])WYMeditor.STRINGS[this._options.lang].hasOwnProperty(key)&&(sVal=WYMeditor.Helper.replaceAll(sVal,this._options.stringDelimiterLeft+key+this._options.stringDelimiterRight,WYMeditor.STRINGS[this._options.lang][key]));return sVal},WYMeditor.editor.prototype.encloseString=function(e){return this._options.stringDelimiterLeft+e+this._options.stringDelimiterRight},WYMeditor.editor.prototype.status=function(e){jQuery(this._box).find(this._options.statusSelector).html(e)},WYMeditor.editor.prototype.update=function(){var e;jQuery(this._doc.body).children(WYMeditor.BR).remove(),e=this.xhtml(),jQuery(this._element).val(e),jQuery(this._box).find(this._options.htmlValSelector).not(".hasfocus").val(e),this.fixBodyHtml()},WYMeditor.editor.prototype.fixBodyHtml=function(){this.fixDoubleBr(),this.spaceBlockingElements()},WYMeditor.editor.prototype.spaceBlockingElements=function(){var e=WYMeditor.BLOCKING_ELEMENTS.join(", "),t=$(this._doc).find("body.wym_iframe"),n=t.children(),r='<br _moz_editor_bogus_node="TRUE" _moz_dirty="">',i,s,o;n.length>0&&(i=$(n[0]),s=$(n[n.length-1]),i.is(e)&&i.before(r),s.is(e)&&s.after(r)),o=this._getBlockSepSelector(),t.find(o).before(r)},WYMeditor.editor.prototype._getBlockSepSelector=function(){if(typeof this._blockSpacersSel!="undefined")return this._blockSpacersSel;var e=[];return $.each(WYMeditor.BLOCKING_ELEMENTS,function(t,n){$.each(WYMeditor.BLOCKING_ELEMENTS,function(t,r){e.push(n+" + "+r)})}),$.each(WYMeditor.BLOCKING_ELEMENTS,function(t,n){$.each(WYMeditor.NON_BLOCKING_ELEMENTS,function(t,r){e.push(n+" + "+r),e.push(r+" + "+n)})}),this._blockSpacersSel=e.join(", "),this._blockSpacersSel},WYMeditor.editor.prototype.fixDoubleBr=function(){var e=$(this._doc).find("body.wym_iframe"),t;e.children("br + br").filter(":not(pre br)").remove(),e.find("p + br").next("p").prev("br").remove(),t=e.find("p + br").slice(-1),t.length>0&&t.next().length===0&&t.remove()},WYMeditor.editor.prototype.dialog=function(e,t,n){var r=t||this._wym._options.dialogFeatures,i=window.open("","dialog",r),s,o=WYMeditor.Helper,u,a;if(i){s="";switch(e){case WYMeditor.DIALOG_LINK:s=this._options.dialogLinkHtml;break;case WYMeditor.DIALOG_IMAGE:s=this._options.dialogImageHtml;break;case WYMeditor.DIALOG_TABLE:s=this._options.dialogTableHtml;break;case WYMeditor.DIALOG_PASTE:s=this._options.dialogPasteHtml;break;case WYMeditor.PREVIEW:s=this._options.dialogPreviewHtml;break;default:s=n}u=this._options.dialogHtml,u=o.replaceAll(u,WYMeditor.BASE_PATH,this._options.basePath),u=o.replaceAll(u,WYMeditor.DIRECTION,this._options.direction),u=o.replaceAll(u,WYMeditor.CSS_PATH,this._options.skinPath+WYMeditor.SKINS_DEFAULT_CSS),u=o.replaceAll(u,WYMeditor.WYM_PATH,this._options.wymPath),u=o.replaceAll(u,WYMeditor.JQUERY_PATH,this._options.jQueryPath),u=o.replaceAll(u,WYMeditor.DIALOG_TITLE,this.encloseString(e)),u=o.replaceAll(u,WYMeditor.DIALOG_BODY,s),u=o.replaceAll(u,WYMeditor.INDEX,this._index),u=this.replaceStrings(u),a=i.document,a.write(u),a.close()}},WYMeditor.editor.prototype.toggleHtml=function(){jQuery(this._box).find(this._options.htmlSelector).toggle()},WYMeditor.editor.prototype.uniqueStamp=function(){var e=new Date;return"wym-"+e.getTime()},WYMeditor.editor.prototype._handleMultilineBlockContainerPaste=function(e,t,n,r){var i,s,o,u,a,f,l,c,h,p;$insertAfter=$(h),s="p",t.is("li")&&(s="li"),n.splitBoundaries(),h=e.findUp(n.startContainer,["p","h1","h2","h3","h4","h5","h6","li"]),p=h.tagName,o=[],u=[],$(h).contents().each(function(e,t){a=n.compareNode(t),a===n.NODE_BEFORE||a===n.NODE_BEFORE_AND_AFTER&&n.startOffset===n.startContainer.length?o.push(t):u.push(t)});for(i=0;i<o.length;i++)$(o[i]).remove();for(i=0;i<u.length;i++)$(u[i]).remove();o.length>0&&$(h).prepend(o),u.length>0&&(f=$("<"+p+">"+"</"+p+">",e._doc),f.insertAfter($(h)),f.append(u)),l=r.splice(0,1)[0],c=l.split(WYMeditor.NEWLINE).join("<br />"),$(h).html($(h).html()+c),$insertAfter=$(h);for(i=0;i<r.length;i++)html="<"+s+">"+r[i].split(WYMeditor.NEWLINE).join("<br />")+"</"+s+">",$insertAfter=$(html,e._doc).insertAfter($insertAfter)},WYMeditor.editor.prototype.paste=function(e){var t=this.selected(),n,r="",i,s,o,u,a=!1,f,l,c,h;c=this,f=rangy.getIframeSelection(c._iframe),h=f.getRangeAt(0),n=$(t),h.collapse(!0),paragraphStrings=e.split(new RegExp(WYMeditor.NEWLINE+"{2,}","g")),paragraphStrings.length===1&&(a=!0);if(typeof t=="undefined"||t&&t.tagName.toLowerCase()===WYMeditor.BODY)if(a)i=jQuery("<p>"+paragraphStrings[0]+"</p>",this._doc).appendTo(this._doc.body);else{blockSplitter="p";for(o=paragraphStrings.length-1;o>=0;o-=1){r="<"+blockSplitter+">"+paragraphStrings[o].split(WYMeditor.NEWLINE).join("<br />")+"</"+blockSplitter+">";var p=$(r,c._doc);for(j=p.length-1;j>=0;j--)h.insertNode(p[j])}}else if(a||n.is("pre"))l=this._doc.createTextNode(e),h.insertNode(l);else if(n.is("p,h1,h2,h3,h4,h5,h6,li"))c._handleMultilineBlockContainerPaste(c,n,h,paragraphStrings);else{textNodesToInsert=e.split(WYMeditor.NEWLINE);for(o=textNodesToInsert.length-1;o>=0;o-=1)l=this._doc.createTextNode(textNodesToInsert[o]),h.insertNode(l),o>0&&h.insertNode($("<br />",c._doc).get(0))}},WYMeditor.editor.prototype.insert=function(e){var t=this._iframe.contentWindow.getSelection(),n,r;t.focusNode!==null?(n=t.getRangeAt(0),r=n.createContextualFragment(e),n.deleteContents(),n.insertNode(r)):this.paste(e)},WYMeditor.editor.prototype.wrap=function(e,t){this.insert(e+this._iframe.contentWindow.getSelection().toString()+t)},WYMeditor.editor.prototype.unwrap=function(){this.insert(this._iframe.contentWindow.getSelection().toString())},WYMeditor.editor.prototype.setFocusToNode=function(e,t){var n=this._doc.createRange(),r=this._iframe.contentWindow.getSelection();t=t?0:1,n.selectNodeContents(e),r.addRange(n),r.collapse(e,t),this._iframe.contentWindow.focus()},WYMeditor.editor.prototype.addCssRules=function(e,t){var n=e.styleSheets[0],r,i;if(n)for(r=0;r<t.length;r+=1)i=t[r],i.name&&i.css&&this.addCssRule(n,i)},WYMeditor.editor.prototype._canIndent=function(e,t){if(e&&e===t&&e.tagName.toLowerCase()===WYMeditor.LI){var n=e.parentNode.parentNode;if(e.parentNode.childNodes.length>1||n.tagName.toLowerCase()===WYMeditor.OL||n.tagName.toLowerCase()===WYMeditor.UL||n.tagName.toLowerCase()===WYMeditor.LI)return!0}return!1},WYMeditor.editor.prototype._canOutdent=function(e,t){if(e&&e===t&&e.tagName.toLowerCase()===WYMeditor.LI){var n=e.parentNode.parentNode;if(e.parentNode.childNodes.length>1||n.tagName.toLowerCase()===WYMeditor.OL||n.tagName.toLowerCase()===WYMeditor.UL||n.tagName.toLowerCase()===WYMeditor.LI)if($(n).parent().is("ol,ul,li"))return!0}return!1},WYMeditor.editor.prototype.indent=function(){var e=this.selected(),t=rangy.getIframeSelection(this._iframe),n=t.getRangeAt(0).startContainer,r=t.getRangeAt(0).startOffset,i=t.anchorNode,s,o,u,a,f,l,c,h,p,d,v,m,g,y,b,w,E,S,x,T;e=this.findUp(e,WYMeditor.BLOCKS),i=this.findUp(i,WYMeditor.BLOCKS);if(!this._canIndent(e,i))return;a=$(e),f=a.parent()[0].tagName.toLowerCase(),l=a.contents().not("ol,ul"),a.prev().length===0&&a.parent().not("ul,ol,li")?(c='<li class="spacer_li"><'+f+"></"+f+">"+"</li>",a.before(c),s=a.prev().find(f),a.children().unwrap(),s.append(a)):a.prev().contents().last().is(f)?(h=a.prev(),p=h.contents().last(),d=a.children(),d.unwrap(),p.append(a),d.detach(),h.append(d),d.first().is(f)&&(v=d.first().children(),v.unwrap(),v.detach(),p.append(v))):a.children("ol,ul").length===0?(o=a.prev().filter("li"),a.children().unwrap(),m="<"+f+"></"+f+">",o.append(m),o.children(f).last().append(a)):(g=a.contents().unwrap(),g.wrapAll('<li class="spacer_li"></li>'),g.filter("ol,ul").first().prepend(a)),a.prepend(l),y=a.parent().parent("li.spacer_li"),y.length===1&&(b=y.prev().filter("li").contents().last(),b.is(f)?(u=a.parent().contents(),y.detach(),b.append(u)):y.next("li").contents().first().is(f)?(w=y.next("li").children().first(),u=a.parent().contents(),y.detach(),w.prepend(u)):y.prev().is("li")&&(o=y.prev(),y.detach(),o.append(y.contents()))),a.next().is(".spacer_li")&&(E=a.next(".spacer_li"),S=E.contents(),S.detach(),a.append(S),E.remove()),x=this._iframe.contentWindow,t=rangy.getSelection(x),T=rangy.createRange(this._doc),T.setStart(n,r),T.setEnd(n,r),T.collapse(!1),t.setSingleRange(T)},WYMeditor.editor.prototype.outdent=function(){var e=this.selected(),t=rangy.getIframeSelection(this._iframe),n=t.getRangeAt(0).startContainer,r=t.getRangeAt(0).startOffset,i=t.anchorNode,s,o,u,a,f,l,c,h,p;e=this.findUp(e,WYMeditor.BLOCKS),i=this.findUp(i,WYMeditor.BLOCKS);if(!this._canOutdent(e,i))return;s=$(e),o=s.parent().parent("li"),u=s.parent()[0].tagName.toLowerCase(),a=s.nextAll("li"),s.detach(),o.after(s),f=s.children("ol,ul"),f.length>0&&f.each(function(e,t){var n=$(t),r;n.detach(),r="<"+u+">"+'<li class="spacer_li"></li>'+"</"+u+">",s.append(r),s.children(u).last().children("li").append(n)}),a.length>0&&(l=a,l.detach(),s.append("<"+u+"></"+u+">"),s.find(u).last().append(a),c=s.children(u+" + "+u),c.length>0&&c.each(function(e,t){var n=$(t),r=n.contents(),i=n.prev();r.detach(),n.remove(),i.append(r)})),o.find("ul:empty,ol:empty").remove(),o.is(".spacer_li")&&o.is(":empty")&&o.remove(),h=this._iframe.contentWindow,t=rangy.getSelection(h),p=rangy.createRange(this._doc),p.setStart(n,r),p.setEnd(n,r),p.collapse(!1),t.setSingleRange(p)},WYMeditor.editor.prototype.insertTable=function(e,t,n,r){if(e<=0||t<=0)return;var i=this._doc.createElement(WYMeditor.TABLE),s=null,o=null,u,a,f,l;u=i.createCaption(),u.innerHTML=n;for(a=0;a<e;a+=1){s=i.insertRow(a);for(f=0;f<t;f+=1)s.insertCell(f)}return r!==""&&jQuery(i).attr("summary",r),l=jQuery(this.findUp(this.container(),WYMeditor.MAIN_CONTAINERS)).get(0),!l||!l.parentNode?jQuery(this._doc.body).append(i):jQuery(l).after(i),this.afterInsertTable(i),this.fixBodyHtml(),i},WYMeditor.editor.prototype.afterInsertTable=function(e){},WYMeditor.editor.prototype.configureEditorUsingRawCss=function(){var e=new WYMeditor.WymCssParser;this._options.stylesheet?e.parse(jQuery.ajax({url:this._options.stylesheet,async:!1}).responseText):e.parse(this._options.styles,!1),this._options.classesItems.length===0&&(this._options.classesItems=e.css_settings.classesItems),this._options.editorStyles.length===0&&(this._options.editorStyles=e.css_settings.editorStyles),this._options.dialogStyles.length===0&&(this._options.dialogStyles=e.css_settings.dialogStyles)},WYMeditor.editor.prototype.listen=function(){var e=this;jQuery(this._doc.body).bind("mousedown",function(t){e.mousedown(t)})},WYMeditor.editor.prototype.mousedown=function(e){this._selected_image=null,e.target.tagName.toLowerCase()===WYMeditor.IMG&&(this._selected_image=e.target)},WYMeditor.loadCss=function(e){var t=document.createElement("link"),n;t.rel="stylesheet",t.href=e,n=jQuery("head").get(0),n.appendChild(t)},WYMeditor.editor.prototype.loadSkin=function(){if(this._options.loadSkin&&!WYMeditor.SKINS[this._options.skin]){var found=!1,rExp=new RegExp(this._options.skin+"/"+WYMeditor.SKINS_DEFAULT_CSS+"$");jQuery("link").each(function(){this.href.match(rExp)&&(found=!0)}),found||WYMeditor.loadCss(this._options.skinPath+WYMeditor.SKINS_DEFAULT_CSS)}jQuery(this._box).addClass("wym_skin_"+this._options.skin),this._options.initSkin&&!WYMeditor.SKINS[this._options.skin]&&eval(jQuery.ajax({url:this._options.skinPath+WYMeditor.SKINS_DEFAULT_JS,async:!1}).responseText),WYMeditor.SKINS[this._options.skin]&&WYMeditor.SKINS[this._options.skin].init&&WYMeditor.SKINS[this._options.skin].init(this)},WYMeditor.WymClassExplorer=function(e){this._wym=e,this._class="className"},WYMeditor.WymClassExplorer.PLACEHOLDER_NODE="<br>",WYMeditor.WymClassExplorer.prototype.initIframe=function(iframe){this._iframe=iframe,this._doc=iframe.contentWindow.document;var styles=this._doc.styleSheets[0],aCss=eval(this._options.editorStyles);this.addCssRules(this._doc,aCss),this._doc.title=this._wym._index,jQuery("html",this._doc).attr("dir",this._options.direction),jQuery(this._doc.body).html(this._wym._html);var wym=this;this._doc.body.onfocus=function(){wym._doc.designMode="on",wym._doc=iframe.contentWindow.document},this._doc.onbeforedeactivate=function(){wym.saveCaret()},$(this._doc).bind("keyup",wym.keyup);var ieVersion=parseInt($.browser.version,10);ieVersion>=8&&ieVersion<9&&$(this._doc).bind("keydown",function(){wym.fixBluescreenOfDeath()}),this._doc.onkeyup=function(){wym.saveCaret()},this._doc.onclick=function(){wym.saveCaret()},this._doc.body.onbeforepaste=function(){wym._iframe.contentWindow.event.returnValue=!1},this._doc.body.onpaste=function(){wym._iframe.contentWindow.event.returnValue=!1,wym.paste(window.clipboardData.getData("Text"))},this._initialized&&(jQuery.isFunction(this._options.preBind)&&this._options.preBind(this),this._wym.bindEvents(),jQuery.isFunction(this._options.postInit)&&this._options.postInit(this),this.listen()),this._initialized=!0,this._doc.designMode="on";try{this._doc=iframe.contentWindow.document}catch(e){}},function(e){WYMeditor.WymClassExplorer.prototype.loadSkin=function(){jQuery(this._box).find(this._options.containerSelector).attr("unselectable","on"),e.call(this)}}(WYMeditor.editor.prototype.loadSkin),WYMeditor.WymClassExplorer.prototype.fixBluescreenOfDeath=function(){var e=$(this._doc).find("p").eq(0).position();e!==null&&typeof e!="undefined"&&e.left<0&&($(this._box).append('<br id="wym-bluescreen-bug-fix" />'),$(this._box).find("#wym-bluescreen-bug-fix").remove())},WYMeditor.WymClassExplorer.prototype._exec=function(e,t){t?this._doc.execCommand(e,!1,t):this._doc.execCommand(e)},WYMeditor.WymClassExplorer.prototype.selected=function(){var e=this._iframe.contentWindow.document.caretPos;if(e&&e.parentElement)return e.parentElement()},WYMeditor.WymClassExplorer.prototype.saveCaret=function(){this._doc.caretPos=this._doc.selection.createRange()},WYMeditor.WymClassExplorer.prototype.addCssRule=function(e,t){var n=t.name.split(","),r;for(r=0;r<n.length;r++)e.addRule(n[r],t.css)},WYMeditor.WymClassExplorer.prototype.insert=function(e){var t=this._doc.selection.createRange();if(jQuery(t.parentElement()).parents().is(this._options.iframeBodySelector))try{t.pasteHTML(e)}catch(n){}else this.paste(e)},WYMeditor.WymClassExplorer.prototype.wrap=function(e,t){var n=this._doc.selection.createRange();if(jQuery(n.parentElement()).parents().is(this._options.iframeBodySelector))try{n.pasteHTML(e+n.text+t)}catch(r){}},WYMeditor.WymClassExplorer.prototype.unwrap=function(){var e=this._doc.selection.createRange();if(jQuery(e.parentElement()).parents().is(this._options.iframeBodySelector))try{var t=e.text;this._exec("Cut"),e.pasteHTML(t)}catch(n){}},WYMeditor.WymClassExplorer.prototype.keyup=function(e){var t=WYMeditor.INSTANCES[this.title];this._selected_image=null;var n=null;if(e.keyCode!==WYMeditor.KEY.BACKSPACE&&e.keyCode!==WYMeditor.KEY.CTRL&&e.keyCode!==WYMeditor.KEY.DELETE&&e.keyCode!==WYMeditor.KEY.COMMAND&&e.keyCode!==WYMeditor.KEY.UP&&e.keyCode!==WYMeditor.KEY.DOWN&&e.keyCode!==WYMeditor.KEY.ENTER&&!e.metaKey&&!e.ctrlKey){n=t.selected();var r="";n!==null&&(r=n.tagName.toLowerCase());if(r==="strong"||r==="b"||r==="em"||r==="i"||r==="sub"||r==="sup"||r==="a")r=n.parentNode.tagName.toLowerCase();r===WYMeditor.BODY&&(t._exec(WYMeditor.FORMAT_BLOCK,WYMeditor.P),t.fixBodyHtml())}(e.keyCode===WYMeditor.KEY.UP||e.keyCode===WYMeditor.KEY.DOWN||e.keyCode===WYMeditor.KEY.BACKSPACE||e.keyCode===WYMeditor.KEY.ENTER)&&t.fixBodyHtml()},WYMeditor.WymClassExplorer.prototype.setFocusToNode=function(e,t){var n=this._doc.selection.createRange();t=t?!0:!1,n.moveToElementText(e),n.collapse(t),n.select(),e.focus()},WYMeditor.WymClassExplorer.prototype.spaceBlockingElements=function(){var e=WYMeditor.BLOCKING_ELEMENTS.join(", "),t=$(this._doc).find("body.wym_iframe"),n=t.children(),r=WYMeditor.WymClassExplorer.PLACEHOLDER_NODE;if(n.length>0){var i=$(n[0]),s=$(n[n.length-1]);i.is(e)&&i.before(r),$.browser.version>="7.0"&&s.is(e)&&s.after(r)}var o=this._getBlockSepSelector();t.find(o).before(r)},WYMeditor.WymClassMozilla=function(e){this._wym=e,this._class="class"},WYMeditor.WymClassMozilla.CELL_PLACEHOLDER='<br _moz_dirty="">',WYMeditor.WymClassMozilla.NEEDS_CELL_FIX=$.browser.version>="1.9.1"&&$.browser.version<"2.0",WYMeditor.WymClassMozilla.prototype.initIframe=function(iframe){var wym=this;this._iframe=iframe,this._doc=iframe.contentDocument;var styles=this._doc.styleSheets[0],aCss=eval(this._options.editorStyles);this.addCssRules(this._doc,aCss),this._doc.title=this._wym._index,jQuery("html",this._doc).attr("dir",this._options.direction),this.html(this._wym._html),this.enableDesignMode(),jQuery.isFunction(this._options.preBind)&&this._options.preBind(this),this._wym.bindEvents(),jQuery(this._doc).bind("keydown",this.keydown),jQuery(this._doc).bind("keyup",this.keyup),jQuery(this._doc).bind("click",this.click),jQuery(this._doc).bind("focus",function(){wym.enableDesignMode.call(wym)}),jQuery.isFunction(this._options.postInit)&&this._options.postInit(this),this.listen()},WYMeditor.WymClassMozilla.prototype.html=function(e){if(typeof e!="string")return jQuery(this._doc.body).html();try{this._doc.designMode="off"}catch(t){}return e=e.replace(/<em(\b[^>]*)>/gi,"<i$1>"),e=e.replace(/<\/em>/gi,"</i>"),e=e.replace(/<strong(\b[^>]*)>/gi,"<b$1>"),e=e.replace(/<\/strong>/gi,"</b>"),jQuery(this._doc.body).html(e),this._wym.fixBodyHtml(),this.enableDesignMode(),!1},WYMeditor.WymClassMozilla.prototype._exec=function(e,t){if(!this.selected())return!1;t?this._doc.execCommand(e,"",t):this._doc.execCommand(e,"",null);var n=this.selected();return n.tagName.toLowerCase()===WYMeditor.BODY&&this._exec(WYMeditor.FORMAT_BLOCK,WYMeditor.P),!0},WYMeditor.WymClassMozilla.prototype.addCssRule=function(e,t){e.insertRule(t.name+" {"+t.css+"}",e.cssRules.length)},WYMeditor.WymClassMozilla.prototype.keydown=function(e){var t=WYMeditor.INSTANCES[this.title];if(e.ctrlKey){if(e.keyCode===66)return t._exec(WYMeditor.BOLD),!1;if(e.keyCode===73)return t._exec(WYMeditor.ITALIC),!1}return!0},WYMeditor.WymClassMozilla.prototype.keyup=function(e){var t=WYMeditor.INSTANCES[this.title];t._selected_image=null;var n=null;if(e.keyCode!==WYMeditor.KEY.BACKSPACE&&e.keyCode!==WYMeditor.KEY.CTRL&&e.keyCode!==WYMeditor.KEY.DELETE&&e.keyCode!==WYMeditor.KEY.COMMAND&&e.keyCode!==WYMeditor.KEY.UP&&e.keyCode!==WYMeditor.KEY.DOWN&&e.keyCode!==WYMeditor.KEY.LEFT&&e.keyCode!==WYMeditor.KEY.RIGHT&&e.keyCode!==WYMeditor.KEY.ENTER&&!e.metaKey&&!e.ctrlKey){n=t.selected();var r=n.tagName.toLowerCase();if(r==="strong"||r==="b"||r==="em"||r==="i"||r==="sub"||r==="sup"||r==="a")r=n.parentNode.tagName.toLowerCase();r===WYMeditor.BODY&&(t._exec(WYMeditor.FORMAT_BLOCK,WYMeditor.P),t.fixBodyHtml())}(e.keyCode===WYMeditor.KEY.UP||e.keyCode===WYMeditor.KEY.DOWN||e.keyCode===WYMeditor.KEY.LEFT||e.keyCode===WYMeditor.KEY.RIGHT||e.keyCode===WYMeditor.KEY.BACKSPACE||e.keyCode===WYMeditor.KEY.ENTER)&&t.fixBodyHtml()},WYMeditor.WymClassMozilla.prototype.click=function(e){var t=WYMeditor.INSTANCES[this.title],n=t.selected();WYMeditor.WymClassMozilla.NEEDS_CELL_FIX===!0&&n&&n.tagName.toLowerCase()===WYMeditor.TR&&jQuery(WYMeditor.TD,t._doc.body).append(WYMeditor.WymClassMozilla.CELL_PLACEHOLDER);if(n&&n.tagName.toLowerCase()===WYMeditor.BODY){var r=t._iframe.contentWindow.getSelection();r.isCollapsed===!0&&t._exec(WYMeditor.FORMAT_BLOCK,WYMeditor.P)}},WYMeditor.WymClassMozilla.prototype.enableDesignMode=function(){if(this._doc.designMode==="off")try{this._doc.designMode="on",this._doc.execCommand("styleWithCSS","",!1),this._doc.execCommand("enableObjectResizing",!0,!0)}catch(e){}},WYMeditor.WymClassMozilla.prototype.openBlockTag=function(e,t){t=this.validator.getValidTagAttributes(e,t);if(e==="span"&&t.style){var n=this.getTagForStyle(t.style);n&&(e=n,this._tag_stack.pop(),this._tag_stack.push(e),t.style="")}this.output+=this.helper.tag(e,t,!0)},WYMeditor.WymClassMozilla.prototype.getTagForStyle=function(e){return/bold/.test(e)?"strong":/italic/.test(e)?"em":/sub/.test(e)?"sub":/super/.test(e)?"sup":!1},WYMeditor.WymClassMozilla.prototype.afterInsertTable=function(e){WYMeditor.WymClassMozilla.NEEDS_CELL_FIX===!0&&$(e).find("td").each(function(e,t){$(t).append(WYMeditor.WymClassMozilla.CELL_PLACEHOLDER)})},WYMeditor.WymClassOpera=function(e){this._wym=e,this._class="class"},WYMeditor.WymClassOpera.prototype.initIframe=function(iframe){this._iframe=iframe,this._doc=iframe.contentWindow.document;var styles=this._doc.styleSheets[0],aCss=eval(this._options.editorStyles);this.addCssRules(this._doc,aCss),this._doc.title=this._wym._index,jQuery("html",this._doc).attr("dir",this._options.direction),this._doc.designMode="on",this.html(this._wym._html),jQuery.isFunction(this._options.preBind)&&this._options.preBind(this),this._wym.bindEvents(),jQuery(this._doc).bind("keydown",this.keydown),jQuery(this._doc).bind("keyup",this.keyup),jQuery.isFunction(this._options.postInit)&&this._options.postInit(this),this.listen()},WYMeditor.WymClassOpera.prototype._exec=function(e,t){t?this._doc.execCommand(e,!1,t):this._doc.execCommand(e)},WYMeditor.WymClassOpera.prototype.selected=function(){var e=this._iframe.contentWindow.getSelection(),t=e.focusNode;return t?t.nodeName=="#text"?t.parentNode:t:null},WYMeditor.WymClassOpera.prototype.addCssRule=function(e,t){e.insertRule(t.name+" {"+t.css+"}",e.cssRules.length)},WYMeditor.WymClassOpera.prototype.keydown=function(e){var t=WYMeditor.INSTANCES[this.title],n=t._iframe.contentWindow.getSelection();startNode=n.getRangeAt(0).startContainer,!jQuery(startNode).parentsOrSelf(WYMeditor.MAIN_CONTAINERS.join(","))[0]&&!jQuery(startNode).parentsOrSelf("li")&&e.keyCode!=WYMeditor.KEY.ENTER&&e.keyCode!=WYMeditor.KEY.LEFT&&e.keyCode!=WYMeditor.KEY.UP&&e.keyCode!=WYMeditor.KEY.RIGHT&&e.keyCode!=WYMeditor.KEY.DOWN&&e.keyCode!=WYMeditor.KEY.BACKSPACE&&e.keyCode!=WYMeditor.KEY.DELETE&&t._exec(WYMeditor.FORMAT_BLOCK,WYMeditor.P)},WYMeditor.WymClassOpera.prototype.keyup=function(e){var t=WYMeditor.INSTANCES[this.title];t._selected_image=null},WYMeditor.WymClassSafari=function(e){this._wym=e,this._class="class"},WYMeditor.WymClassSafari.prototype.initIframe=function(iframe){this._iframe=iframe,this._doc=iframe.contentDocument;var styles=this._doc.styleSheets[0],aCss=eval(this._options.editorStyles);this.addCssRules(this._doc,aCss),this._doc.title=this._wym._index,jQuery("html",this._doc).attr("dir",this._options.direction),this._doc.designMode="on",this.html(this._wym._html),jQuery.isFunction(this._options.preBind)&&this._options.preBind(this),this._wym.bindEvents(),jQuery(this._doc).bind("keydown",this.keydown),jQuery(this._doc).bind("keyup",this.keyup),jQuery.isFunction(this._options.postInit)&&this._options.postInit(this),this.listen()},WYMeditor.WymClassSafari.prototype._exec=function(e,t){if(!this.selected())return!1;var n=this.selected();switch(e){case WYMeditor.INSERT_ORDEREDLIST:case WYMeditor.INSERT_UNORDEREDLIST:this._doc.execCommand(e,"",null);var r=this.findUp(n,WYMeditor.MAIN_CONTAINERS);r&&jQuery(r).replaceWith(jQuery(r).html());break;default:t?this._doc.execCommand(e,"",t):this._doc.execCommand(e,"",null)}return r=this.selected(),r&&r.tagName.toLowerCase()==WYMeditor.BODY&&this._exec(WYMeditor.FORMAT_BLOCK,WYMeditor.P),!0},WYMeditor.WymClassSafari.prototype.addCssRule=function(e,t){e.insertRule(t.name+" {"+t.css+"}",e.cssRules.length)},WYMeditor.WymClassSafari.prototype.keydown=function(e){var t=WYMeditor.INSTANCES[this.title];e.ctrlKey?(e.keyCode==WYMeditor.KEY.B&&(t._exec(WYMeditor.BOLD),e.preventDefault()),e.keyCode==WYMeditor.KEY.I&&(t._exec(WYMeditor.ITALIC),e.preventDefault())):e.shiftKey&&e.keyCode==WYMeditor.KEY.ENTER&&(t._exec("InsertLineBreak"),e.preventDefault())},WYMeditor.WymClassSafari.prototype.keyup=function(e){var t=WYMeditor.INSTANCES[this.title];t._selected_image=null;var n=null;$.browser.version<534.1&&e.keyCode==WYMeditor.KEY.ENTER&&e.shiftKey&&t._exec("InsertLineBreak");if(e.keyCode!=WYMeditor.KEY.BACKSPACE&&e.keyCode!=WYMeditor.KEY.CTRL&&e.keyCode!=WYMeditor.KEY.DELETE&&e.keyCode!=WYMeditor.KEY.COMMAND&&e.keyCode!=WYMeditor.KEY.UP&&e.keyCode!=WYMeditor.KEY.DOWN&&e.keyCode!=WYMeditor.KEY.LEFT&&e.keyCode!=WYMeditor.KEY.RIGHT&&e.keyCode!=WYMeditor.KEY.ENTER&&!e.metaKey&&!e.ctrlKey){n=t.selected();var r=n.tagName.toLowerCase();if(r=="strong"||r=="b"||r=="em"||r=="i"||r=="sub"||r=="sup"||r=="a"||r=="span")r=n.parentNode.tagName.toLowerCase();if(r==WYMeditor.BODY||r==WYMeditor.DIV)t._exec(WYMeditor.FORMAT_BLOCK,WYMeditor.P),t.fixBodyHtml()}(e.keyCode==WYMeditor.KEY.UP||e.keyCode==WYMeditor.KEY.DOWN||e.keyCode==WYMeditor.KEY.LEFT||e.keyCode==WYMeditor.KEY.RIGHT||e.keyCode==WYMeditor.KEY.BACKSPACE||e.keyCode==WYMeditor.KEY.ENTER)&&t.fixBodyHtml()},WYMeditor.WymClassSafari.prototype.openBlockTag=function(e,t){t=this.validator.getValidTagAttributes(e,t);if(e=="span"&&t.style){var n=this.getTagForStyle(t.style);n&&(e=n,this._tag_stack.pop(),this._tag_stack.push(e),t.style="",typeof t["class"]=="string"&&(t["class"]=t["class"].replace(/apple-style-span/gi,"")))}this.output+=this.helper.tag(e,t,!0)},WYMeditor.WymClassSafari.prototype.getTagForStyle=function(e){return/bold/.test(e)?"strong":/italic/.test(e)?"em":/sub/.test(e)?"sub":/super/.test(e)?"sup":!1},WYMeditor.XmlHelper=function(){return this._entitiesDiv=document.createElement("div"),this},WYMeditor.XmlHelper.prototype.tag=function(e,t,n){return t=t||!1,n=n||!1,"<"+e+(t?this.tagOptions(t):"")+(n?">":" />")},WYMeditor.XmlHelper.prototype.contentTag=function(e,t,n){return n=n||!1,"<"+e+(n?this.tagOptions(n):"")+">"+t+"</"+e+">"},WYMeditor.XmlHelper.prototype.cdataSection=function(e){return"<![CDATA["+e+"]]>"},WYMeditor.XmlHelper.prototype.escapeOnce=function(e){return this._fixDoubleEscape(this.escapeEntities(e))},WYMeditor.XmlHelper.prototype._fixDoubleEscape=function(e){return e.replace(/&amp;([a-z]+|(#\d+));/ig,"&$1;")},WYMeditor.XmlHelper.prototype.tagOptions=function(e){var t=this;t._formated_options="";for(var n in e){var r="",i=e[n];typeof i!="function"&&i.length>0&&(parseInt(n,10)==n&&typeof i=="object"&&(n=i.shift(),i=i.pop()),n!==""&&i!==""&&(t._formated_options+=" "+n+'="'+t.escapeOnce(i)+'"'))}return t._formated_options},WYMeditor.XmlHelper.prototype.escapeEntities=function(e,t){this._entitiesDiv.innerHTML=e,this._entitiesDiv.textContent=e;var n=this._entitiesDiv.innerHTML;return typeof t=="undefined"&&(t!==!1&&(n=n.replace('"',"&quot;")),t===!0&&(n=n.replace('"',"&#039;"))),n},WYMeditor.XmlHelper.prototype.parseAttributes=function(e){var t=[],n=e.split(/((=\s*")(")("))|((=\s*\')(\')(\'))|((=\s*[^>\s]*))/g);if(n.toString()!=e)for(var r in n){var i=n[r];if(typeof i!="function"&&i.length!==0){var s=new RegExp("(\\w+)\\s*"+i),o=e.match(s);if(o){var u=i.replace(/^[\s=]+/,""),a=u.charAt(0);a=a=='"'?'"':a=="'"?"'":"",a!==""&&(u=a=='"'?u.replace(/^"|"+$/g,""):u.replace(/^'|'+$/g,"")),e=e.replace(o[0],""),t.push([o[1],u])}}}return t},WYMeditor.XhtmlValidator={_attributes:{core:{except:["base","head","html","meta","param","script","style","title"],attributes:["class","id","style","title","accesskey","tabindex","/^data-.*/"]},language:{except:["base","br","hr","iframe","param","script"],attributes:{dir:["ltr","rtl"],0:"lang",1:"xml:lang"}},keyboard:{attributes:{accesskey:/^(\w){1}$/,tabindex:/^(\d)+$/}}},_events:{window:{only:["body"],attributes:["onload","onunload"]},form:{only:["form","input","textarea","select","a","label","button"],attributes:["onchange","onsubmit","onreset","onselect","onblur","onfocus"]},keyboard:{except:["base","bdo","br","frame","frameset","head","html","iframe","meta","param","script","style","title"],attributes:["onkeydown","onkeypress","onkeyup"]},mouse:{except:["base","bdo","br","head","html","meta","param","script","style","title"],attributes:["onclick","ondblclick","onmousedown","onmousemove","onmouseover","onmouseout","onmouseup"]}},_tags:{a:{attributes:{0:"charset",1:"coords",2:"href",3:"hreflang",4:"name",5:"rel",6:"rev",shape:/^(rect|rectangle|circ|circle|poly|polygon)$/,7:"type"}},0:"abbr",1:"acronym",2:"address",area:{attributes:{0:"alt",1:"coords",2:"href",nohref:/^(true|false)$/,shape:/^(rect|rectangle|circ|circle|poly|polygon)$/},required:["alt"]},3:"b",base:{attributes:["href"],required:["href"]},bdo:{attributes:{dir:/^(ltr|rtl)$/},required:["dir"]},4:"big",blockquote:{attributes:["cite"]},5:"body",6:"br",button:{attributes:{disabled:/^(disabled)$/,type:/^(button|reset|submit)$/,0:"value"},inside:"form"},7:"caption",8:"cite",9:"code",col:{attributes:{align:/^(right|left|center|justify)$/,0:"char",1:"charoff",span:/^(\d)+$/,valign:/^(top|middle|bottom|baseline)$/,2:"width"},inside:"colgroup"},colgroup:{attributes:{align:/^(right|left|center|justify)$/,0:"char",1:"charoff",span:/^(\d)+$/,valign:/^(top|middle|bottom|baseline)$/,2:"width"}},10:"dd",del:{attributes:{0:"cite",datetime:/^([0-9]){8}/}},11:"div",12:"dfn",13:"dl",14:"dt",15:"em",fieldset:{inside:"form"},form:{attributes:{0:"action",1:"accept",2:"accept-charset",3:"enctype",method:/^(get|post)$/},required:["action"]},head:{attributes:["profile"]},16:"h1",17:"h2",18:"h3",19:"h4",20:"h5",21:"h6",22:"hr",html:{attributes:["xmlns"]},23:"i",img:{attributes:["alt","src","height","ismap","longdesc","usemap","width"],required:["alt","src"]},input:{attributes:{0:"accept",1:"alt",checked:/^(checked)$/,disabled:/^(disabled)$/,maxlength:/^(\d)+$/,2:"name",readonly:/^(readonly)$/,size:/^(\d)+$/,3:"src",type:/^(button|checkbox|file|hidden|image|password|radio|reset|submit|text)$/,4:"value"},inside:"form"},ins:{attributes:{0:"cite",datetime:/^([0-9]){8}/}},24:"kbd",label:{attributes:["for"],inside:"form"},25:"legend",26:"li",link:{attributes:{0:"charset",1:"href",2:"hreflang",media:/^(all|braille|print|projection|screen|speech|,|;| )+$/i,rel:/^(alternate|appendix|bookmark|chapter|contents|copyright|glossary|help|home|index|next|prev|section|start|stylesheet|subsection| |shortcut|icon)+$/i,rev:/^(alternate|appendix|bookmark|chapter|contents|copyright|glossary|help|home|index|next|prev|section|start|stylesheet|subsection| |shortcut|icon)+$/i,3:"type"},inside:"head"},map:{attributes:["id","name"],required:["id"]},meta:{attributes:{0:"content","http-equiv":/^(content\-type|expires|refresh|set\-cookie)$/i,1:"name",2:"scheme"},required:["content"]},27:"noscript",object:{attributes:["archive","classid","codebase","codetype","data","declare","height","name","standby","type","usemap","width"]},28:"ol",optgroup:{attributes:{0:"label",disabled:/^(disabled)$/},required:["label"]},option:{attributes:{0:"label",disabled:/^(disabled)$/,selected:/^(selected)$/,1:"value"},inside:"select"},29:"p",param:{attributes:{0:"type",valuetype:/^(data|ref|object)$/,1:"valuetype",2:"value"},required:["name"]},30:"pre",q:{attributes:["cite"]},31:"samp",script:{attributes:{type:/^(text\/ecmascript|text\/javascript|text\/jscript|text\/vbscript|text\/vbs|text\/xml)$/,0:"charset",defer:/^(defer)$/,1:"src"},required:["type"]},select:{attributes:{disabled:/^(disabled)$/,multiple:/^(multiple)$/,0:"name",1:"size"},inside:"form"},32:"small",33:"span",34:"strong",style:{attributes:{0:"type",media:/^(screen|tty|tv|projection|handheld|print|braille|aural|all)$/},required:["type"]},35:"sub",36:"sup",table:{attributes:{0:"border",1:"cellpadding",2:"cellspacing",frame:/^(void|above|below|hsides|lhs|rhs|vsides|box|border)$/,rules:/^(none|groups|rows|cols|all)$/,3:"summary",4:"width"}},tbody:{attributes:{align:/^(right|left|center|justify)$/,0:"char",1:"charoff",valign:/^(top|middle|bottom|baseline)$/}},td:{attributes:{0:"abbr",align:/^(left|right|center|justify|char)$/,1:"axis",2:"char",3:"charoff",colspan:/^(\d)+$/,4:"headers",rowspan:/^(\d)+$/,scope:/^(col|colgroup|row|rowgroup)$/,valign:/^(top|middle|bottom|baseline)$/}},textarea:{attributes:["cols","rows","disabled","name","readonly"],required:["cols","rows"],inside:"form"},tfoot:{attributes:{align:/^(right|left|center|justify)$/,0:"char",1:"charoff",valign:/^(top|middle|bottom)$/,2:"baseline"}},th:{attributes:{0:"abbr",align:/^(left|right|center|justify|char)$/,1:"axis",2:"char",3:"charoff",colspan:/^(\d)+$/,4:"headers",rowspan:/^(\d)+$/,scope:/^(col|colgroup|row|rowgroup)$/,valign:/^(top|middle|bottom|baseline)$/}},thead:{attributes:{align:/^(right|left|center|justify)$/,0:"char",1:"charoff",valign:/^(top|middle|bottom|baseline)$/}},37:"title",tr:{attributes:{align:/^(right|left|center|justify|char)$/,0:"char",1:"charoff",valign:/^(top|middle|bottom|baseline)$/}},38:"tt",39:"ul",40:"var"},skiped_attributes:[],skiped_attribute_values:[],getValidTagAttributes:function(e,t){var n={},r=this.getPossibleTagAttributes(e);for(var i in t){var s=t[i];i=i.toLowerCase();var o=WYMeditor.Helper;!o.contains(this.skiped_attributes,i)&&!o.contains(this.skiped_attribute_values,s)&&(typeof s!="function"&&o.contains(r,i)?this.doesAttributeNeedsValidation(e,i)?this.validateAttribute(e,i,s)&&(n[i]=s):n[i]=s:jQuery.each(r,function(){this.match(/\/(.*)\//)&&(regex=new RegExp(this.match(/\/(.*)\//)[1]),regex.test(i)&&(n[i]=s))}))}return n},getUniqueAttributesAndEventsForTag:function(e){var t=[];if(this._tags[e]&&this._tags[e].attributes)for(var n in this._tags[e].attributes)t.push(parseInt(n,10)==n?this._tags[e].attributes[n]:n);return t},getDefaultAttributesAndEventsForTags:function(){var e=[];for(var t in this._events)e.push(this._events[t]);for(t in this._attributes)e.push(this._attributes[t]);return e},isValidTag:function(e){if(this._tags[e])return!0;for(var t in this._tags)if(this._tags[t]==e)return!0;return!1},getDefaultAttributesAndEventsForTag:function(e){var t=[];if(this.isValidTag(e)){var n=this.getDefaultAttributesAndEventsForTags();for(var r in n){var i=n[r];if(typeof i=="object"){var s=WYMeditor.Helper;if(i.except&&s.contains(i.except,e)||i.only&&!s.contains(i.only,e))continue;var o=i.attributes?i.attributes:i.events;for(var u in o)t.push(typeof o[u]!="string"?u:o[u])}}}return t},doesAttributeNeedsValidation:function(e,t){return this._tags[e]&&(this._tags[e].attributes&&this._tags[e].attributes[t]||this._tags[e].required&&WYMeditor.Helper.contains(this._tags[e].required,t))},validateAttribute:function(e,t,n){return this._tags[e]&&this._tags[e].attributes&&this._tags[e].attributes[t]&&n.length>0&&!n.match(this._tags[e].attributes[t])||this._tags[e]&&this._tags[e].required&&WYMeditor.Helper.contains(this._tags[e].required,t)&&n.length===0?!1:typeof this._tags[e]!="undefined"},getPossibleTagAttributes:function(e){return this._possible_tag_attributes||(this._possible_tag_attributes={}),this._possible_tag_attributes[e]||(this._possible_tag_attributes[e]=this.getUniqueAttributesAndEventsForTag(e).concat(this.getDefaultAttributesAndEventsForTag(e))),this._possible_tag_attributes[e]}},WYMeditor.ParallelRegex=function(e){return this._case=e,this._patterns=[],this._labels=[],this._regex=null,this},WYMeditor.ParallelRegex.prototype.addPattern=function(e,t){t=t||!0;var n=this._patterns.length;this._patterns[n]=e,this._labels[n]=t,this._regex=null},WYMeditor.ParallelRegex.prototype.match=function(e){if(this._patterns.length===0)return[!1,""];var t=e.match(this._getCompoundedRegex());if(!t)return[!1,""];var n=t[0];for(var r=1;r<t.length;r++)if(t[r])return[this._labels[r-1],n];return[!0,t[0]]},WYMeditor.ParallelRegex.prototype._getCompoundedRegex=function(){if(this._regex===null){for(var e=0,t=this._patterns.length;e<t;e++)this._patterns[e]="("+this._untokenizeRegex(this._tokenizeRegex(this._patterns[e]).replace(/([\/\(\)])/g,"\\$1"))+")";this._regex=new RegExp(this._patterns.join("|"),this._getPerlMatchingFlags())}return this._regex},WYMeditor.ParallelRegex.prototype._tokenizeRegex=function(e){return e.replace(/\(\?(i|m|s|x|U)\)/,"~~~~~~Tk1$1~~~~~~").replace(/\(\?(\-[i|m|s|x|U])\)/,"~~~~~~Tk2$1~~~~~~").replace(/\(\?\=(.*)\)/,"~~~~~~Tk3$1~~~~~~").replace(/\(\?\!(.*)\)/,"~~~~~~Tk4$1~~~~~~").replace(/\(\?\<\=(.*)\)/,"~~~~~~Tk5$1~~~~~~").replace(/\(\?\<\!(.*)\)/,"~~~~~~Tk6$1~~~~~~").replace(/\(\?\:(.*)\)/,"~~~~~~Tk7$1~~~~~~")},WYMeditor.ParallelRegex.prototype._untokenizeRegex=function(e){return e.replace(/~~~~~~Tk1(.{1})~~~~~~/,"(?$1)").replace(/~~~~~~Tk2(.{2})~~~~~~/,"(?$1)").replace(/~~~~~~Tk3(.*)~~~~~~/,"(?=$1)").replace(/~~~~~~Tk4(.*)~~~~~~/,"(?!$1)").replace(/~~~~~~Tk5(.*)~~~~~~/,"(?<=$1)").replace(/~~~~~~Tk6(.*)~~~~~~/,"(?<!$1)").replace(/~~~~~~Tk7(.*)~~~~~~/,"(?:$1)")},WYMeditor.ParallelRegex.prototype._getPerlMatchingFlags=function(){return this._case?"m":"mi"},WYMeditor.StateStack=function(e){return this._stack=[e],this},WYMeditor.StateStack.prototype.getCurrent=function(){return this._stack[this._stack.length-1]},WYMeditor.StateStack.prototype.enter=function(e){this._stack.push(e)},WYMeditor.StateStack.prototype.leave=function(){return this._stack.length==1?!1:(this._stack.pop(),!0)},WYMeditor.LEXER_ENTER=1,WYMeditor.LEXER_MATCHED=2,WYMeditor.LEXER_UNMATCHED=3,WYMeditor.LEXER_EXIT=4,WYMeditor.LEXER_SPECIAL=5,WYMeditor.Lexer=function(e,t,n){return t=t||"accept",this._case=n||!1,this._regexes={},this._parser=e,this._mode=new WYMeditor.StateStack(t),this._mode_handlers={},this._mode_handlers[t]=t,this},WYMeditor.Lexer.prototype.addPattern=function(e,t){t=t||"accept",typeof this._regexes[t]=="undefined"&&(this._regexes[t]=new WYMeditor.ParallelRegex(this._case)),this._regexes[t].addPattern(e),typeof this._mode_handlers[t]=="undefined"&&(this._mode_handlers[t]=t)},WYMeditor.Lexer.prototype.addEntryPattern=function(e,t,n){typeof this._regexes[t]=="undefined"&&(this._regexes[t]=new WYMeditor.ParallelRegex(this._case)),this._regexes[t].addPattern(e,n),typeof this._mode_handlers[n]=="undefined"&&(this._mode_handlers[n]=n)},WYMeditor.Lexer.prototype.addExitPattern=function(e,t){typeof this._regexes[t]=="undefined"&&(this._regexes[t]=new WYMeditor.ParallelRegex(this._case)),this._regexes[t].addPattern(e,"__exit"),typeof this._mode_handlers[t]=="undefined"&&(this._mode_handlers[t]=t)},WYMeditor.Lexer.prototype.addSpecialPattern=function(e,t,n){typeof this._regexes[t]=="undefined"&&(this._regexes[t]=new WYMeditor.ParallelRegex(this._case)),this._regexes[t].addPattern(e,"_"+n),typeof this._mode_handlers[n]=="undefined"&&(this._mode_handlers[n]=n)},WYMeditor.Lexer.prototype.mapHandler=function(e,t){this._mode_handlers[e]=t},WYMeditor.Lexer.prototype.parse=function(e){if(typeof this._parser=="undefined")return!1;var t=e.length,n;while(typeof (n=this._reduce(e))=="object"){e=n[0];var r=n[1],i=n[2],s=n[3];if(!this._dispatchTokens(r,i,s))return!1;if(e==="")return!0;if(e.length==t)return!1;t=e.length}return n?this._invokeParser(e,WYMeditor.LEXER_UNMATCHED):!1},WYMeditor.Lexer.prototype._dispatchTokens=function(e,t,n){return n=n||!1,this._invokeParser(e,WYMeditor.LEXER_UNMATCHED)?typeof n=="boolean"?this._invokeParser(t,WYMeditor.LEXER_MATCHED):this._isModeEnd(n)?this._invokeParser(t,WYMeditor.LEXER_EXIT)?this._mode.leave():!1:this._isSpecialMode(n)?(this._mode.enter(this._decodeSpecial(n)),this._invokeParser(t,WYMeditor.LEXER_SPECIAL)?this._mode.leave():!1):(this._mode.enter(n),this._invokeParser(t,WYMeditor.LEXER_ENTER)):!1},WYMeditor.Lexer.prototype._isModeEnd=function(e){return e==="__exit"},WYMeditor.Lexer.prototype._isSpecialMode=function(e){return e.substring(0,1)=="_"},WYMeditor.Lexer.prototype._decodeSpecial=function(e){return e.substring(1)},WYMeditor.Lexer.prototype._invokeParser=function(e,t){if(e==="")return!0;var n=this._mode.getCurrent(),r=this._mode_handlers[n],i=this._parser[r](e,t);return i},WYMeditor.Lexer.prototype._reduce=function(e){var t=this._regexes[this._mode.getCurrent()].match(e),n=t[1],r=t[0];if(r){var i=e.indexOf(n),s=e.substr(0,i);return e=e.substring(i+n.length),[e,s,n,r]}return!0},WYMeditor.XhtmlLexer=function(e){return jQuery.extend(this,new WYMeditor.Lexer(e,"Text")),this.mapHandler("Text","Text"),this.addTokens(),this.init(),this},WYMeditor.XhtmlLexer.prototype.init=function(){},WYMeditor.XhtmlLexer.prototype.addTokens=function(){this.addCommentTokens("Text"),this.addScriptTokens("Text"),this.addCssTokens("Text"),this.addTagTokens("Text")},WYMeditor.XhtmlLexer.prototype.addCommentTokens=function(e){this.addEntryPattern("<!--",e,"Comment"),this.addExitPattern("-->","Comment")},WYMeditor.XhtmlLexer.prototype.addScriptTokens=function(e){this.addEntryPattern("<script",e,"Script"),this.addExitPattern("</script>","Script")},WYMeditor.XhtmlLexer.prototype.addCssTokens=function(e){this.addEntryPattern("<style",e,"Css"),this.addExitPattern("</style>","Css")},WYMeditor.XhtmlLexer.prototype.addTagTokens=function(e){this.addSpecialPattern("<\\s*[a-z0-9:-]+\\s*>",e,"OpeningTag"),this.addEntryPattern("<[a-z0-9:-]+[\\/ \\>]+",e,"OpeningTag"),this.addInTagDeclarationTokens("OpeningTag"),this.addSpecialPattern("</\\s*[a-z0-9:-]+\\s*>",e,"ClosingTag")},WYMeditor.XhtmlLexer.prototype.addInTagDeclarationTokens=function(e){this.addSpecialPattern("\\s+",e,"Ignore"),this.addAttributeTokens(e),this.addExitPattern("/>",e),this.addExitPattern(">",e)},WYMeditor.XhtmlLexer.prototype.addAttributeTokens=function(e){this.addSpecialPattern("\\s*[a-z-_0-9]*:?[a-z-_0-9]+\\s*(?==)\\s*",e,"TagAttributes"),this.addEntryPattern('=\\s*"',e,"DoubleQuotedAttribute"),this.addPattern('\\\\"',"DoubleQuotedAttribute"),this.addExitPattern('"',"DoubleQuotedAttribute"),this.addEntryPattern("=\\s*'",e,"SingleQuotedAttribute"),this.addPattern("\\\\'","SingleQuotedAttribute"),this.addExitPattern("'","SingleQuotedAttribute"),this.addSpecialPattern("=\\s*[^>\\s]*",e,"UnquotedAttribute")},WYMeditor.XhtmlParser=function(e,t){return t=t||"Text",this._Lexer=new WYMeditor.XhtmlLexer(this),this._Listener=e,this._mode=t,this._matches=[],this._last_match="",this._current_match="",this},WYMeditor.XhtmlParser.prototype.parse=function(e){return this._Lexer.parse(this.beforeParsing(e)),this.afterParsing(this._Listener.getResult())},WYMeditor.XhtmlParser.prototype.beforeParsing=function(e){return(e.match(/class="MsoNormal"/)||e.match(/ns = "urn:schemas-microsoft-com/))&&this._Listener.avoidStylingTagsAndAttributes(),this._Listener.beforeParsing(e)},WYMeditor.XhtmlParser.prototype.afterParsing=function(e){return this._Listener._avoiding_tags_implicitly&&this._Listener.allowStylingTagsAndAttributes(),this._Listener.afterParsing(e)},WYMeditor.XhtmlParser.prototype.Ignore=function(e,t){return!0},WYMeditor.XhtmlParser.prototype.Text=function(e){return this._Listener.addContent(e),!0},WYMeditor.XhtmlParser.prototype.Comment=function(e,t){return this._addNonTagBlock(e,t,"addComment")},WYMeditor.XhtmlParser.prototype.Script=function(e,t){return this._addNonTagBlock(e,t,"addScript")},WYMeditor.XhtmlParser.prototype.Css=function(e,t){return this._addNonTagBlock(e,t,"addCss")},WYMeditor.XhtmlParser.prototype._addNonTagBlock=function(e,t,n){switch(t){case WYMeditor.LEXER_ENTER:this._non_tag=e;break;case WYMeditor.LEXER_UNMATCHED:this._non_tag+=e;break;case WYMeditor.LEXER_EXIT:switch(n){case"addComment":this._Listener.addComment(this._non_tag+e);break;case"addScript":this._Listener.addScript(this._non_tag+e);break;case"addCss":this._Listener.addCss(this._non_tag+e);break;default:}break;default:}return!0},WYMeditor.XhtmlParser.prototype.OpeningTag=function(e,t){switch(t){case WYMeditor.LEXER_ENTER:this._tag=this.normalizeTag(e),this._tag_attributes={};break;case WYMeditor.LEXER_SPECIAL:this._callOpenTagListener(this.normalizeTag(e));break;case WYMeditor.LEXER_EXIT:this._callOpenTagListener(this._tag,this._tag_attributes);break;default:}return!0},WYMeditor.XhtmlParser.prototype.ClosingTag=function(e,t){return this._callCloseTagListener(this.normalizeTag(e)),!0},WYMeditor.XhtmlParser.prototype._callOpenTagListener=function(e,t){t=t||{},this.autoCloseUnclosedBeforeNewOpening(e),this._Listener.isBlockTag(e)?(this._Listener._tag_stack.push(e),this._Listener.fixNestingBeforeOpeningBlockTag(e,t),this._Listener.openBlockTag(e,t),this._increaseOpenTagCounter(e)):this._Listener.isInlineTag(e)?this._Listener.inlineTag(e,t):(this._Listener.openUnknownTag(e,t),this._increaseOpenTagCounter(e)),this._Listener.last_tag=e,this._Listener.last_tag_opened=!0,this._Listener.last_tag_attributes=t},WYMeditor.XhtmlParser.prototype._callCloseTagListener=function(e){if(this._decreaseOpenTagCounter(e)){this.autoCloseUnclosedBeforeTagClosing(e);if(this._Listener.isBlockTag(e)){var t=this._Listener._tag_stack.pop();if(t===!1)return;t!=e&&(e=t),this._Listener.closeBlockTag(e)}else this._Listener.closeUnknownTag(e)}else this._Listener.closeUnopenedTag(e);this._Listener.last_tag=e,this._Listener.last_tag_opened=!1},WYMeditor.XhtmlParser.prototype._increaseOpenTagCounter=function(e){this._Listener._open_tags[e]=this._Listener._open_tags[e]||0,this._Listener._open_tags[e]++},WYMeditor.XhtmlParser.prototype._decreaseOpenTagCounter=function(e){return this._Listener._open_tags[e]?(this._Listener._open_tags[e]--,this._Listener._open_tags[e]===0&&(this._Listener._open_tags[e]=undefined),!0):!1},WYMeditor.XhtmlParser.prototype.autoCloseUnclosedBeforeNewOpening=function(e){this._autoCloseUnclosed(e,!1)},WYMeditor.XhtmlParser.prototype.autoCloseUnclosedBeforeTagClosing=function(e){this._autoCloseUnclosed(e,!0)},WYMeditor.XhtmlParser.prototype._autoCloseUnclosed=function(e,t){t=t||!1;if(this._Listener._open_tags)for(var n in this._Listener._open_tags){var r=this._Listener._open_tags[n];r>0&&this._Listener.shouldCloseTagAutomatically(n,e,t)&&this._callCloseTagListener(n,!0)}},WYMeditor.XhtmlParser.prototype.getTagReplacements=function(){return this._Listener.getTagReplacements()},WYMeditor.XhtmlParser.prototype.normalizeTag=function(e){e=e.replace(/^([\s<\/>]*)|([\s<\/>]*)$/gm,"").toLowerCase();var t=this._Listener.getTagReplacements();return t[e]?t[e]:e},WYMeditor.XhtmlParser.prototype.TagAttributes=function(e,t){return WYMeditor.LEXER_SPECIAL==t&&(this._current_attribute=e),!0},WYMeditor.XhtmlParser.prototype.DoubleQuotedAttribute=function(e,t){return WYMeditor.LEXER_UNMATCHED==t&&(this._tag_attributes[this._current_attribute]=e),!0},WYMeditor.XhtmlParser.prototype.SingleQuotedAttribute=function(e,t){return WYMeditor.LEXER_UNMATCHED==t&&(this._tag_attributes[this._current_attribute]=e),!0},WYMeditor.XhtmlParser.prototype.UnquotedAttribute=function(e,t){return this._tag_attributes[this._current_attribute]=e.replace(/^=/,""),!0},WYMeditor.XhtmlSaxListener=function(){return this.output="",this.helper=new WYMeditor.XmlHelper,this._open_tags={},this.validator=WYMeditor.XhtmlValidator,this._tag_stack=[],this.avoided_tags=[],this.entities={"&nbsp;":"&#160;","&iexcl;":"&#161;","&cent;":"&#162;","&pound;":"&#163;","&curren;":"&#164;","&yen;":"&#165;","&brvbar;":"&#166;","&sect;":"&#167;","&uml;":"&#168;","&copy;":"&#169;","&ordf;":"&#170;","&laquo;":"&#171;","&not;":"&#172;","&shy;":"&#173;","&reg;":"&#174;","&macr;":"&#175;","&deg;":"&#176;","&plusmn;":"&#177;","&sup2;":"&#178;","&sup3;":"&#179;","&acute;":"&#180;","&micro;":"&#181;","&para;":"&#182;","&middot;":"&#183;","&cedil;":"&#184;","&sup1;":"&#185;","&ordm;":"&#186;","&raquo;":"&#187;","&frac14;":"&#188;","&frac12;":"&#189;","&frac34;":"&#190;","&iquest;":"&#191;","&Agrave;":"&#192;","&Aacute;":"&#193;","&Acirc;":"&#194;","&Atilde;":"&#195;","&Auml;":"&#196;","&Aring;":"&#197;","&AElig;":"&#198;","&Ccedil;":"&#199;","&Egrave;":"&#200;","&Eacute;":"&#201;","&Ecirc;":"&#202;","&Euml;":"&#203;","&Igrave;":"&#204;","&Iacute;":"&#205;","&Icirc;":"&#206;","&Iuml;":"&#207;","&ETH;":"&#208;","&Ntilde;":"&#209;","&Ograve;":"&#210;","&Oacute;":"&#211;","&Ocirc;":"&#212;","&Otilde;":"&#213;","&Ouml;":"&#214;","&times;":"&#215;","&Oslash;":"&#216;","&Ugrave;":"&#217;","&Uacute;":"&#218;","&Ucirc;":"&#219;","&Uuml;":"&#220;","&Yacute;":"&#221;","&THORN;":"&#222;","&szlig;":"&#223;","&agrave;":"&#224;","&aacute;":"&#225;","&acirc;":"&#226;","&atilde;":"&#227;","&auml;":"&#228;","&aring;":"&#229;","&aelig;":"&#230;","&ccedil;":"&#231;","&egrave;":"&#232;","&eacute;":"&#233;","&ecirc;":"&#234;","&euml;":"&#235;","&igrave;":"&#236;","&iacute;":"&#237;","&icirc;":"&#238;","&iuml;":"&#239;","&eth;":"&#240;","&ntilde;":"&#241;","&ograve;":"&#242;","&oacute;":"&#243;","&ocirc;":"&#244;","&otilde;":"&#245;","&ouml;":"&#246;","&divide;":"&#247;","&oslash;":"&#248;","&ugrave;":"&#249;","&uacute;":"&#250;","&ucirc;":"&#251;","&uuml;":"&#252;","&yacute;":"&#253;","&thorn;":"&#254;","&yuml;":"&#255;","&OElig;":"&#338;","&oelig;":"&#339;","&Scaron;":"&#352;","&scaron;":"&#353;","&Yuml;":"&#376;","&fnof;":"&#402;","&circ;":"&#710;","&tilde;":"&#732;","&Alpha;":"&#913;","&Beta;":"&#914;","&Gamma;":"&#915;","&Delta;":"&#916;","&Epsilon;":"&#917;","&Zeta;":"&#918;","&Eta;":"&#919;","&Theta;":"&#920;","&Iota;":"&#921;","&Kappa;":"&#922;","&Lambda;":"&#923;","&Mu;":"&#924;","&Nu;":"&#925;","&Xi;":"&#926;","&Omicron;":"&#927;","&Pi;":"&#928;","&Rho;":"&#929;","&Sigma;":"&#931;","&Tau;":"&#932;","&Upsilon;":"&#933;","&Phi;":"&#934;","&Chi;":"&#935;","&Psi;":"&#936;","&Omega;":"&#937;","&alpha;":"&#945;","&beta;":"&#946;","&gamma;":"&#947;","&delta;":"&#948;","&epsilon;":"&#949;","&zeta;":"&#950;","&eta;":"&#951;","&theta;":"&#952;","&iota;":"&#953;","&kappa;":"&#954;","&lambda;":"&#955;","&mu;":"&#956;","&nu;":"&#957;","&xi;":"&#958;","&omicron;":"&#959;","&pi;":"&#960;","&rho;":"&#961;","&sigmaf;":"&#962;","&sigma;":"&#963;","&tau;":"&#964;","&upsilon;":"&#965;","&phi;":"&#966;","&chi;":"&#967;","&psi;":"&#968;","&omega;":"&#969;","&thetasym;":"&#977;","&upsih;":"&#978;","&piv;":"&#982;","&ensp;":"&#8194;","&emsp;":"&#8195;","&thinsp;":"&#8201;","&zwnj;":"&#8204;","&zwj;":"&#8205;","&lrm;":"&#8206;","&rlm;":"&#8207;","&ndash;":"&#8211;","&mdash;":"&#8212;","&lsquo;":"&#8216;","&rsquo;":"&#8217;","&sbquo;":"&#8218;","&ldquo;":"&#8220;","&rdquo;":"&#8221;","&bdquo;":"&#8222;","&dagger;":"&#8224;","&Dagger;":"&#8225;","&bull;":"&#8226;","&hellip;":"&#8230;","&permil;":"&#8240;","&prime;":"&#8242;","&Prime;":"&#8243;","&lsaquo;":"&#8249;","&rsaquo;":"&#8250;","&oline;":"&#8254;","&frasl;":"&#8260;","&euro;":"&#8364;","&image;":"&#8465;","&weierp;":"&#8472;","&real;":"&#8476;","&trade;":"&#8482;","&alefsym;":"&#8501;","&larr;":"&#8592;","&uarr;":"&#8593;","&rarr;":"&#8594;","&darr;":"&#8595;","&harr;":"&#8596;","&crarr;":"&#8629;","&lArr;":"&#8656;","&uArr;":"&#8657;","&rArr;":"&#8658;","&dArr;":"&#8659;","&hArr;":"&#8660;","&forall;":"&#8704;","&part;":"&#8706;","&exist;":"&#8707;","&empty;":"&#8709;","&nabla;":"&#8711;","&isin;":"&#8712;","&notin;":"&#8713;","&ni;":"&#8715;","&prod;":"&#8719;","&sum;":"&#8721;","&minus;":"&#8722;","&lowast;":"&#8727;","&radic;":"&#8730;","&prop;":"&#8733;","&infin;":"&#8734;","&ang;":"&#8736;","&and;":"&#8743;","&or;":"&#8744;","&cap;":"&#8745;","&cup;":"&#8746;","&int;":"&#8747;","&there4;":"&#8756;","&sim;":"&#8764;","&cong;":"&#8773;","&asymp;":"&#8776;","&ne;":"&#8800;","&equiv;":"&#8801;","&le;":"&#8804;","&ge;":"&#8805;","&sub;":"&#8834;","&sup;":"&#8835;","&nsub;":"&#8836;","&sube;":"&#8838;","&supe;":"&#8839;","&oplus;":"&#8853;","&otimes;":"&#8855;","&perp;":"&#8869;","&sdot;":"&#8901;","&lceil;":"&#8968;","&rceil;":"&#8969;","&lfloor;":"&#8970;","&rfloor;":"&#8971;","&lang;":"&#9001;","&rang;":"&#9002;","&loz;":"&#9674;","&spades;":"&#9824;","&clubs;":"&#9827;","&hearts;":"&#9829;","&diams;":"&#9830;"},this.block_tags=["a","abbr","acronym","address","area","b","base","bdo","big","blockquote","body","button","caption","cite","code","col","colgroup","dd","del","div","dfn","dl","dt","em","fieldset","form","head","h1","h2","h3","h4","h5","h6","html","i","ins","kbd","label","legend","li","map","noscript","object","ol","optgroup","option","p","param","pre","q","samp","script","select","small","span","strong","style","sub","sup","table","tbody","td","textarea","tfoot","th","thead","title","tr","tt","ul","var","extends"],this.inline_tags=["br","hr","img","input"],this},WYMeditor.XhtmlSaxListener.prototype.shouldCloseTagAutomatically=function(e,t,n){n=n||!1;if(e=="td"){if(n&&t=="tr"||!n&&t=="td")return!0}else if(e=="option")if(n&&t=="select"||!n&&t=="option")return!0;return!1},WYMeditor.XhtmlSaxListener.prototype.beforeParsing=function(e){return this.output="",e},WYMeditor.XhtmlSaxListener.prototype.afterParsing=function(e){return e=this.replaceNamedEntities(e),e=this.joinRepeatedEntities(e),e=this.removeEmptyTags(e),e=this.removeBrInPre(e),e},WYMeditor.XhtmlSaxListener.prototype.replaceNamedEntities=function(e){for(var t in this.entities)e=e.replace(new RegExp(t,"g"),this.entities[t]);return e},WYMeditor.XhtmlSaxListener.prototype.joinRepeatedEntities=function(e){var t="em|strong|sub|sup|acronym|pre|del|address";return e.replace(new RegExp("</("+t+")><\\1>",""),"").replace(new RegExp("(s*<("+t+")>s*){2}(.*)(s*</\\2>s*){2}",""),"<$2>$3<$2>")},WYMeditor.XhtmlSaxListener.prototype.removeEmptyTags=function(e){return e.replace(new RegExp("<("+this.block_tags.join("|").replace(/\|td/,"").replace(/\|th/,"")+")>(<br />|&#160;|&nbsp;|\\s)*</\\1>","g"),"")},WYMeditor.XhtmlSaxListener.prototype.removeBrInPre=function(e){var t=e.match(new RegExp("<pre[^>]*>(.*?)</pre>","gmi"));if(t)for(var n=0;n<t.length;n++)e=e.replace(t[n],t[n].replace(new RegExp("<br />","g"),String.fromCharCode(13,10)));return e},WYMeditor.XhtmlSaxListener.prototype.getResult=function(){return this.output},WYMeditor.XhtmlSaxListener.prototype.getTagReplacements=function(){return{b:"strong",i:"em"}},WYMeditor.XhtmlSaxListener.prototype.addContent=function(e){this.last_tag&&this.last_tag=="li"&&(e=e.replace(/\n/,""),e=e.replace(/\r/,"")),this.output+=e},WYMeditor.XhtmlSaxListener.prototype.addComment=function(e){this.remove_comments&&(this.output+=e)},WYMeditor.XhtmlSaxListener.prototype.addScript=function(e){this.remove_scripts||(this.output+=e)},WYMeditor.XhtmlSaxListener.prototype.addCss=function(e){this.remove_embeded_styles||(this.output+=e)},WYMeditor.XhtmlSaxListener.prototype.openBlockTag=function(e,t){this.output+=this.helper.tag(e,this.validator.getValidTagAttributes(e,t),!0)},WYMeditor.XhtmlSaxListener.prototype.inlineTag=function(e,t){this.output+=this.helper.tag(e,this.validator.getValidTagAttributes(e,t))},WYMeditor.XhtmlSaxListener.prototype.openUnknownTag=function(e,t){},WYMeditor.XhtmlSaxListener.prototype.closeBlockTag=function(e){this.output=this.output.replace(/<br \/>$/,"")+this._getClosingTagContent("before",e)+"</"+e+">"+this._getClosingTagContent("after",e)},WYMeditor.XhtmlSaxListener.prototype.closeUnknownTag=function(e){},WYMeditor.XhtmlSaxListener.prototype.closeUnopenedTag=function(e){this.output+="</"+e+">"},WYMeditor.XhtmlSaxListener.prototype.avoidStylingTagsAndAttributes=function(){this.avoided_tags=["div","span"],this.validator.skiped_attributes=["style"],this.validator.skiped_attribute_values=["MsoNormal","main1"],this._avoiding_tags_implicitly=!0},WYMeditor.XhtmlSaxListener.prototype.allowStylingTagsAndAttributes=function(){this.avoided_tags=[],this.validator.skiped_attributes=[],this.validator.skiped_attribute_values=[],this._avoiding_tags_implicitly=!1},WYMeditor.XhtmlSaxListener.prototype.isBlockTag=function(e){return!WYMeditor.Helper.contains(this.avoided_tags,e)&&WYMeditor.Helper.contains(this.block_tags,e)},WYMeditor.XhtmlSaxListener.prototype.isInlineTag=function(e){return!WYMeditor.Helper.contains(this.avoided_tags,e)&&WYMeditor.Helper.contains(this.inline_tags,e)},WYMeditor.XhtmlSaxListener.prototype.insertContentAfterClosingTag=function(e,t){this._insertContentWhenClosingTag("after",e,t)},WYMeditor.XhtmlSaxListener.prototype.insertContentBeforeClosingTag=function(e,t){this._insertContentWhenClosingTag("before",e,t)},WYMeditor.XhtmlSaxListener.prototype.fixNestingBeforeOpeningBlockTag=function(e,t){if((e=="ul"||e=="ol")&&this.last_tag&&!this.last_tag_opened&&this.last_tag=="li")this.output=this.output.replace(/<\/li>\s*$/,""),this.insertContentAfterClosingTag(e,"</li>");else if(e!="ul"&&e!="ol"||!this.last_tag||!this.last_tag_opened||this.last_tag!="ul"&&this.last_tag!="ol"){if(e=="li"&&!this.last_tag_opened&&this._tag_stack.length>=2){var n=this._tag_stack[this._tag_stack.length-2];n=="li"&&(this._open_tags.li--,this._open_tags.li===0&&(this._open_tags.li=undefined),this._tag_stack.pop(this._tag_stack.length-2),this.output+="</li>")}}else this.output+=this.helper.tag("li",{},!0),this.insertContentAfterClosingTag(e,"</li>")},WYMeditor.XhtmlSaxListener.prototype._insertContentWhenClosingTag=function(e,t,n){this["_insert_"+e+"_closing"]||(this["_insert_"+e+"_closing"]=[]),this["_insert_"+e+"_closing"][t]||(this["_insert_"+e+"_closing"][t]=[]),this["_insert_"+e+"_closing"][t].push(n)},WYMeditor.XhtmlSaxListener.prototype._getClosingTagContent=function(e,t){return this["_insert_"+e+"_closing"]&&this["_insert_"+e+"_closing"][t]&&this["_insert_"+e+"_closing"][t].length>0?this["_insert_"+e+"_closing"][t].pop():""},WYMeditor.WymCssLexer=function(e,t){return t=typeof t=="undefined"?!0:t,jQuery.extend(this,new WYMeditor.Lexer(e,t?"Ignore":"WymCss")),this.mapHandler("WymCss","Ignore"),t===!0&&(this.addEntryPattern("/\\*[<\\s]*WYMeditor[>\\s]*\\*/","Ignore","WymCss"),this.addExitPattern("/\\*[</\\s]*WYMeditor[>\\s]*\\*/","WymCss")),this.addSpecialPattern("[\\sa-z1-6]*\\.[a-z-_0-9]+","WymCss","WymCssStyleDeclaration"),this.addEntryPattern("/\\*","WymCss","WymCssComment"),this.addExitPattern("\\*/","WymCssComment"),this.addEntryPattern("{","WymCss","WymCssStyle"),this.addExitPattern("}","WymCssStyle"),this.addEntryPattern("/\\*","WymCssStyle","WymCssFeedbackStyle"),this.addExitPattern("\\*/","WymCssFeedbackStyle"),this},WYMeditor.WymCssParser=function(){return this._in_style=!1,this._has_title=!1,this.only_wym_blocks=!0,this.css_settings={classesItems:[],editorStyles:[],dialogStyles:[]},this},WYMeditor.WymCssParser.prototype.parse=function(e,t){t=typeof t=="undefined"?this.only_wym_blocks:t,this._Lexer=new WYMeditor.WymCssLexer(this,t),this._Lexer.parse(e)},WYMeditor.WymCssParser.prototype.Ignore=function(e,t){return!0},WYMeditor.WymCssParser.prototype.WymCssComment=function(e,t){return e.match(/end[a-z0-9\s]*wym[a-z0-9\s]*/mi)?!1:(t==WYMeditor.LEXER_UNMATCHED&&(this._in_style?this._current_item[this._current_element]&&(this._current_item[this._current_element].expressions?this._current_item[this._current_element].expressions.push(e):this._current_item[this._current_element].expressions=[e]):(this._has_title=!0,this._current_item={title:WYMeditor.Helper.trim(e)}),this._in_style=!0),!0)},WYMeditor.WymCssParser.prototype.WymCssStyle=function(e,t){return t==WYMeditor.LEXER_UNMATCHED?(e=WYMeditor.Helper.trim(e),e!==""&&(this._current_item[this._current_element].style=e)):t==WYMeditor.LEXER_EXIT&&(this._in_style=!1,this._has_title=!1,this.addStyleSetting(this._current_item)),!0},WYMeditor.WymCssParser.prototype.WymCssFeedbackStyle=function(e,t){return t==WYMeditor.LEXER_UNMATCHED&&(this._current_item[this._current_element].feedback_style=e.replace(/^([\s\/\*]*)|([\s\/\*]*)$/gm,"")),!0},WYMeditor.WymCssParser.prototype.WymCssStyleDeclaration=function(e){e=e.replace(/^([\s\.]*)|([\s\.*]*)$/gm,"");var t="";if(e.indexOf(".")>0){var n=e.split(".");this._current_element=n[1],t=n[0]}else this._current_element=e;return this._has_title||(this._current_item={title:(t?t.toUpperCase()+": ":"")+this._current_element},this._has_title=!0),this._current_item[this._current_element]||(this._current_item[this._current_element]={name:this._current_element}),t&&(this._current_item[this._current_element].tags?this._current_item[this._current_element].tags.push(t):this._current_item[this._current_element].tags=[t]),!0},WYMeditor.WymCssParser.prototype.addStyleSetting=function(e){for(var t in e){var n=e[t];typeof n=="object"&&t!="title"&&(this.css_settings.classesItems.push({name:WYMeditor.Helper.trim(n.name),title:e.title,expr:WYMeditor.Helper.trim((n.expressions||n.tags).join(", "))}),n.feedback_style&&this.css_settings.editorStyles.push({name:"."+WYMeditor.Helper.trim(n.name),css:n.feedback_style}),n.style&&this.css_settings.dialogStyles.push({name:"."+WYMeditor.Helper.trim(n.name),css:n.style}))}}